<?php
/**
 * Single Product Up-Sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/up-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $woocommerce_loop;

$woocommerce_loop['columns'] = apply_filters( 'woocommerce_up_sells_columns', $columns );

if ( $upsells ) : ?>

<div class="col-xs-12">

	<div class="carousel carousel-container carousel-nav-style9">
	
		<div class="carousel-nav">
			<button class="flickity-prev-next-button previous"><i class="fa fa-angle-left"></i></button>
			<button class="flickity-prev-next-button next"><i class="fa fa-angle-right"></i></button>
		</div><!-- /.carousel-nav -->
	
		<div class="up-sells upsells products">
	
			<h2><?php esc_html_e( 'You may also like&hellip;', 'boo' ) ?></h2>
	
			<?php woocommerce_product_loop_start(); ?>
	
				<?php foreach ( $upsells as $upsell ) : ?>
	
					<?php
					 	$post_object = get_post( $upsell->get_id() );
	
						setup_postdata( $GLOBALS['post'] =& $post_object );
	
						wc_get_template_part( 'content', 'product-elegant' ); ?>
	
				<?php endforeach; ?>
	
			<?php woocommerce_product_loop_end(); ?>
	
		</div>
		
	</div><!-- /.carousel -->

</div>

<?php endif;

wp_reset_postdata();
