/* a simple UI for allowing users to generate css gradients to style their elements and optionally set other background properties to tweak their creations */
/*
	* IcanStyle Gradient Editor
	*
	* a simple UI for allowing users to generate and edit css gradients to style their elements and 
	* optionally set other background properties such as background-size and background-attachment
	*
	* (c) 2015 David O'Sullivan, YouSitePro
	*
	* Plugin web:			http://yousitepro.com/ics-gradient-editor
	* Licenses: 			http://codecanyon.net/licenses/
	* Version 1.3.2
*/
/*Change Log*/
/* 1.0 
Initial Build */
/* 1.1
* Update to Latest ICS Build
* Updated Spectrum to 1.6.1 to remove error 'The specified value '!' does not conform to the required format.  The format is '#rrggbb' where rr, gg, bb are two-digit hexadecimal numbers'
* Included the option to use the tool for setting background images and associated parameters
* Modified the background template to include a background preview */
/* 1.2
/*Update to latest ics build
/*General Clean up*/
/*1.3
/*Changed the nam of some options for better user experience*/
/*1.3.1
/* made sure all parseInt has the radix specified*/
/*1.3.2
/*removed a trailing comma*/
String.prototype.trim||!function(){var t=/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g;String.prototype.trim=function(){return this.replace(t,"")}}(),function(t){"use strict";"function"==typeof define&&define.amd?define(["jquery"],t):"object"==typeof exports&&"object"==typeof module?module.exports=t:t(jQuery)}(function(t){"use strict";function e(e,i){var a=t.extend({},g,e);return a.callbacks={move:o(a.move,i),change:o(a.change,i),show:o(a.show,i),hide:o(a.hide,i),beforeShow:o(a.beforeShow,i)},a}function i(t,e,i){var a;if(t.interface){if("image"==t.mode){var n=[];jQuery.each(t.interface,function(t,e){("background"==e||"toolbar"==e)&&n.push(e)}),n.indexOf("background")<0&&n.push("background"),t.interface=n}}else t.interface="gradient"==t.mode?["gradient","swatches"]:["background"];return a=jQuery(e.outerHtml,i),jQuery.each(t.interface,function(t,i){""!=e[i]&&a.append(e[i])}),a}function a(a,n){function o(){yi.css=Ne(),Je()&&(yi.svg=!0)}function g(){return yi.css?"filter"===yi.css&&yi.svg?"svg":yi.css:yi.svg?"svg":"averagebgcolor"}function p(t){var e=t.attr("name");W(e+"_value",t.val()),W(e+"_unit",t.next(".bootstrap-touchspin-postfix").text())}function b(){ii.targetElement?(!ii.targetElement instanceof jQuery&&(ii.targetElement=jQuery(ii.targetElement)),Si.cssTarget=ii.targetElement.length>0&&!ii.targetElement.is("input")&&!ii.targetElement.is("textarea")?ii.targetElement:!1):Si.cssTarget=!1,ii.targetInputElement?(!ii.targetInputElement instanceof jQuery&&(ii.targetInputElement=jQuery(ii.targetInputElement)),Si.cssInputTarget=ii.targetInputElement.length>0&&(ii.targetInputElement.is("input")||ii.targetInputElement.is("textarea"))?ii.targetInputElement:!1):Si.cssInputTarget=!1,xi&&ii.targetBgInputElement&&("object"==typeof ii.targetBgInputElement?(jQuery.each(ii.targetBgInputElement,function(t,e){!e instanceof jQuery&&(jQuery(e).length>0?ii.targetBgInputElement[t]=jQuery(e):delete ii.targetBgInputElement[t])}),Si.cssBgInputTarget=ii.targetBgInputElement):(!ii.targetBgInputElement instanceof jQuery&&(ii.targetBgInputElement=jQuery(ii.targetBgInputElement)),ii.targetBgInputElement.length>0&&(ii.targetBgInputElement.is("input")||ii.targetBgInputElement.is("textarea"))&&(Si.cssBgInputTarget=ii.targetBgInputElement)))}function _(){if(jQuery().tooltip&&Qi.find("[title]").tooltip({animation:!1,html:!0}),"gradient"==ii.mode&&Qi.addClass("gradientmode"),"image"==ii.mode&&(Qi.addClass("imagemode"),ii.imageChooserBut.length>0&&(ii.imageChooserBut.appendTo(Qi.find(".ics-bg-chooseimage")),ii.imageChooserBut.find("input").hide().on("change",function(){var t=jQuery(this).val();-1==t.indexOf("url(")&&-1==t.indexOf("url (")&&"none"!=t&&""!=t&&(t="url("+t+")"),W("background_image",t),C(),Ie()}),Qi.find(".ics-bg-changeimage button.change").on("click",function(t){t.preventDefault(),t.stopPropagation(),ii.imageChooserBut.trigger("click")}),Qi.find(".ics-bg-changeimage button.remove").on("click",function(t){t.preventDefault(),t.stopPropagation(),ii.imageChooserBut.find("input").val("none").trigger("change")}))),ii.interface.indexOf("background")>-1&&(xi=!0,ii.showBgPreview&&(Si.bgPreviewEl=Qi.find(".ics-bg-preview-el"),Si.bgPreviewImg=Qi.find(".ics-bg-preview-img"),Si.bgpreviewwrapper=Qi.find(".ics-bg-preview-wrapper"),Si.bgpreviewholder=Qi.find(".ics-bg-preview-holder"),Si.bgpositionctrl=Qi.find(".ics-bg-position-ctrl"),Si.bgsizectrl=Qi.find(".ics-bg-size-ctrl"),Si.bgposinputh=Qi.find("input[name=background_position_horizontal]"),Si.bgposinputv=Qi.find("input[name=background_position_vertical]"),Si.bgsizeinputh=Qi.find("input[name=background_size_horizontal]"),Si.bgsizeinputv=Qi.find("input[name=background_size_vertical]"))),b(),We(),"gradient"==ii.mode){o();var t=Ae();v(ii.startingGradient&&y(ii.startingGradient)?ii.startingGradient:t?t:ii.defaultGradient)}else v();x(),"gradient"==ii.mode&&(jQuery('input[name="angle"]',Qi).val(J("linear_gradient_angle")).TouchSpin({postfix:"<sup>o</sup>",min:0,max:359}).on("change touchspin.on.stopspin",function(t){W("linear_gradient_angle",jQuery(this).val()%360),jQuery(this).closest(".ics-ge-controller").trigger("mousedown"),M(!1),Ie(),"touchspin"===t.type&&(K(),ze())}),jQuery('input[name="gradient_size"]',Qi).val(J("gradient_size_value")).TouchSpin({postfix:J("gradient_size_unit"),min:0,max:ni}).on("change touchspin.on.stopspin",function(t){p(jQuery(this)),"touchspin"===t.type&&(K(),ze())}),jQuery('input[name="gradient_size_major"]',Qi).val(J("gradient_size_major_value")).TouchSpin({postfix:J("gradient_size_major_unit"),min:0,max:ni}).on("change touchspin.on.stopspin",function(t){p(jQuery(this)),"touchspin"===t.type&&(K(),ze())}),jQuery('input[name="gradient_position_horizontal"]',Qi).val(J("gradient_position_horizontal_value")).TouchSpin({postfix:J("gradient_position_horizontal_unit"),min:ai,max:ni}).on("change touchspin.on.stopspin",function(t){p(jQuery(this)),"touchspin"===t.type&&(K(),ze())}),jQuery('input[name="gradient_position_vertical"]',Qi).val(J("gradient_position_vertical_value")).TouchSpin({postfix:J("gradient_position_vertical_unit"),min:ai,max:ni}).on("change touchspin.on.stopspin",function(t){p(jQuery(this)),"touchspin"===t.type&&(K(),ze())})),("image"==ii.mode||xi)&&(jQuery('input[name="background_size_horizontal"]',Qi).val(J("background_size_horizontal_value")).TouchSpin({postfix:J("background_size_horizontal_unit"),min:ai,max:ni}).on("change touchspin.on.stopspin",function(t){p(jQuery(this)),Ie(),"touchspin"===t.type&&"gradient"==ii.mode&&ze()}),jQuery('input[name="background_size_vertical"]',Qi).val(J("background_size_vertical_value")).TouchSpin({postfix:J("background_size_vertical_unit"),min:ai,max:ni}).on("change touchspin.on.stopspin",function(t){p(jQuery(this)),Ie(),"touchspin"===t.type&&"gradient"==ii.mode&&ze()}),jQuery('input[name="background_position_horizontal"]',Qi).val(J("background_position_horizontal_value")).TouchSpin({postfix:J("background_position_horizontal_unit"),min:ai,max:ni}).on("change touchspin.on.stopspin",function(t){p(jQuery(this)),Ie(),"touchspin"===t.type&&"gradient"==ii.mode&&ze()}),jQuery('input[name="background_position_vertical"]',Qi).val(J("background_position_vertical_value")).TouchSpin({postfix:J("background_position_vertical_unit"),min:ai,max:ni}).on("change touchspin.on.stopspin",function(t){p(jQuery(this)),Ie(),"touchspin"===t.type&&"gradient"==ii.mode&&ze()})),C(),"gradient"==ii.mode&&(De(),F(!0),ze(),Si.preview.removeClass("ajax-loader")),"image"==ii.mode&&Ie()}function v(t,e){if("gradient"==ii.mode){var i,a={},n="";try{"undefined"==typeof t?(i=y(ii.defaultGradient),a=i.data,n=i.colorStops,ci=ii.defaultGradient):(i=y(t),ci=t,i||(i=y(ii.defaultGradient),ci=ii.defaultGradient),a=i.data,n=i.colorStops)}catch(o){}"undefined"==typeof a&&(a={},ci=ii.defaultGradient),"radial"==a.gradient_type&&(a=me(a)),Qi.data({gradient_type:a.gradient_type||Ci.gradient_type,gradient_direction:a.gradient_direction||Ci.gradient_direction,gradient_size:a.gradient_size||Ci.gradient_size,gradient_size_value:a.gradient_size_value||Ci.gradient_size_value,gradient_size_unit:a.gradient_size_unit||Ci.gradient_size_unit,gradient_size_major_value:a.gradient_size_major_value||Ci.gradient_size_major_value,gradient_size_major_unit:a.gradient_size_major_unit||Ci.gradient_size_major_unit,gradient_repeat:a.gradient_repeat||Ci.gradient_repeat,gradient_shape:a.gradient_shape||Ci.gradient_shape,linear_gradient_angle:a.linear_gradient_angle||Ci.linear_gradient_angle,gradient_position_horizontal:a.gradient_position_horizontal||Ci.gradient_position_horizontal,gradient_position_horizontal_value:a.gradient_position_horizontal_value||Ci.gradient_position_horizontal_value,gradient_position_horizontal_unit:a.gradient_position_horizontal_unit||Ci.gradient_position_horizontal_unit,gradient_position_vertical:a.gradient_position_vertical||Ci.gradient_position_vertical,gradient_position_vertical_value:a.gradient_position_vertical_value||Ci.gradient_position_vertical_value,gradient_position_vertical_unit:a.gradient_position_vertical_unit||Ci.gradient_position_vertical_unit})}if(e||!ii.startingBgProps&&!ii.startingImage||(e={},ii.startingBgProps&&(e=ii.startingBgProps),ii.startingImage&&(-1==ii.startingImage.indexOf("url(")&&-1==ii.startingImage.indexOf("url (")&&"none"!=ii.startingImage&&""!=ii.startingImage&&(ii.startingImage="url("+ii.startingImage+")"),e["background-image"]=ii.startingImage)),e){var r=z(e);ji=!1}if("image"!=ii.mode&&!xi||ji||(r||(r={}),"image"==ii.mode&&(r.background_image?Qi.data("background_image",r.background_image):ii.startingImage?(-1==ii.startingImage.indexOf("url(")&&-1==ii.startingImage.indexOf("url (")&&(ii.startingImage="url("+ii.startingImage+")"),Qi.data("background_image",ii.startingImage)):Qi.data("background_image","none")),Qi.data("background_size",r.background_size||Ci.background_size),Qi.data("background_size_horizontal_value",r.background_size_horizontal_value||Ci.background_size_horizontal_value),Qi.data("background_size_horizontal_unit",r.background_size_horizontal_unit||Ci.background_size_horizontal_unit),Qi.data("background_size_vertical_value",r.background_size_vertical_value||Ci.background_size_vertical_value),Qi.data("background_size_vertical_unit",r.background_size_vertical_unit||Ci.background_size_vertical_unit),Qi.data("background_position",Ci.background_position),Qi.data("background_position_horizontal_value",r.background_position_horizontal_value||Ci.background_position_horizontal_value),Qi.data("background_position_horizontal_unit",r.background_position_horizontal_unit||Ci.background_position_horizontal_unit),Qi.data("background_position_vertical_value",r.background_position_vertical_value||Ci.background_position_vertical_value),Qi.data("background_position_vertical_unit",r.background_position_vertical_unit||Ci.background_position_vertical_unit),Qi.data("background_repeat",r.background_repeat||Ci.background_repeat),Qi.data("background_attachment",r.background_attachment||Ci.background_attachment),Qi.data("background_origin",r.background_origin||Ci.background_origin),Qi.data("background_clip",r.background_clip||Ci.background_clip),ji=!0),w(),"undefined"!=typeof n&&""!==n)for(var s=0;s<n.length;s++)X(n[s])}function f(){var t={move:function(t){jQuery(this).val(t).trigger("change")},flat:!0,showAlpha:!0,allowEmpty:!0,preferredFormat:"rgb",color:"rgb(199,151,151)",clickoutFiresChange:!0,colorOnShow:!0,showInput:!1,showButtons:!1,showPalette:!0,palette:[],maxSelectionSize:30,localStorageKey:"spectrum.ics"};ii.colorpickerDestination.length>0&&(Si.colorpickerholder.appendTo(ii.colorpickerDestination),t.appendTo=ii.colorpickerDestination,jQuery(Si.colorpickerholder).closest(".ics-styling-panel").find(".ics-right-panel .ics-plugin-panel").bind("scroll",function(){Si.colorpickerholder.fadeOut()})),Si.colorpickerholder.show(),Si.colorpicker.spectrum(t),Si.colorpickerholder.addClass("initialized"),Si.colorpickerholder.hide(),Si.colorpicker.on("change",function(){fi&&(Q(hi,"color",jQuery(this).val()),F())})}function h(){Si.colorpickerholder.css("display","block");var t,e=Qi.offset(),i=Qi.width(),a=Si.colorpickerholder.width();Si.markersarea.find(".color-stop").each(function(){var e=jQuery(this);R(e.data("index"))&&(t=e.offset())}),t.top&&(t.top=parseInt(t.top,10)+32,t.left=parseInt(t.left,10)-68),ii.colorpickerDestination||(t.left<e.left&&(t.left=e.left),parseInt(t.left,10)+parseInt(a,10)>parseInt(e.left,10)+parseInt(i,10)&&(t.left=parseInt(t.left,10)-(parseInt(t.left,10)+parseInt(a,10)-(parseInt(e.left,10)+parseInt(i,10))))),Si.colorpickerholder.offset(t),Si.colorpickerholder.css("display","none")}function m(){"gradient"==ii.mode&&(jQuery('input[name="gradient_size"]',Qi).val(J("gradient_size_value")),jQuery('input[name="gradient_size_major"]',Qi).val(J("gradient_size_major_value")),jQuery('input[name="gradient_position_horizontal"]',Qi).val(J("gradient_position_horizontal_value")),jQuery('input[name="gradient_position_vertical"]',Qi).val(J("gradient_position_vertical_value")),S(jQuery('input[name="gradient_size"]',Qi).next(".input-group-addon.bootstrap-touchspin-postfix"),J("gradient_size_unit")),S(jQuery('input[name="gradient_size_major"]',Qi).next(".input-group-addon.bootstrap-touchspin-postfix"),J("gradient_size_major_unit")),S(jQuery('input[name="gradient_position_horizontal"]',Qi).next(".input-group-addon.bootstrap-touchspin-postfix"),J("gradient_position_horizontal_unit")),S(jQuery('input[name="gradient_position_vertical"]',Qi).next(".input-group-addon.bootstrap-touchspin-postfix"),J("gradient_position_vertical_unit"))),("image"==ii.mode||xi)&&("explicit"==J("background_size")&&(jQuery('input[name="background_size_horizontal"]',Qi).val(J("background_size_horizontal_value")),jQuery('input[name="background_size_vertical"]',Qi).val(J("background_size_vertical_value")),S(jQuery('input[name="background_size_horizontal"]',Qi).next(".input-group-addon.bootstrap-touchspin-postfix"),J("background_size_horizontal_unit")),S(jQuery('input[name="background_size_vertical"]',Qi).next(".input-group-addon.bootstrap-touchspin-postfix"),J("background_size_vertical_unit"))),jQuery('input[name="background_position_horizontal"]',Qi).val(J("background_position_horizontal_value")),jQuery('input[name="background_position_vertical"]',Qi).val(J("background_position_vertical_value")),S(jQuery('input[name="background_position_horizontal"]',Qi).next(".input-group-addon.bootstrap-touchspin-postfix"),J("background_position_horizontal_unit")),S(jQuery('input[name="background_position_vertical"]',Qi).next(".input-group-addon.bootstrap-touchspin-postfix"),J("background_position_vertical_unit")))}function k(t){var e;return e=t.hasOwnProperty("color")?t.color:t}function y(t){var e,i,a={},n=[];if(t?(t=t.replace("background-image","").replace(":","").replace(";",""),t=t.trim()):t="radial-gradient(circle 531px at 59px 147px,rgb(255, 255, 255) 0%,rgb(229, 68, 198) 70%,rgb(4, 118, 148) 100%)",Re(t),e=GradientParser.parse(t),!e[0]||!e[0].orientation)return!1;var o=e[0],r=o.orientation[0]||o.orientation;for(a.gradient_type=o.type.indexOf("linear")>-1?"linear":"radial",("directional"==r.type||"angular"==r.type)&&("directional"==r.type?a.gradient_direction=r.value:"angular"==r.type&&(a.gradient_direction="angle")),r.style&&("extent-keyword"==r.style.type?a.gradient_size=r.style.value:(a.gradient_size="explicit","position"==r.style.type?(a.gradient_size_value=r.style.value.x.value,a.gradient_size_unit=r.style.value.x.type,"ellipse"==r.value&&(a.gradient_size_major_value=r.style.value.y.value?r.style.value.y.value:r.style.value.x.value,a.gradient_size_major_unit=r.style.value.y.value?r.style.value.y.type:r.style.value.x.type)):(a.gradient_size_value=r.style.value,a.gradient_size_unit=r.style.type))),a.gradient_repeat=o.type.indexOf("repeating")>-1?"on":"off",a.gradient_shape="circle"==r.value||"ellipse"==r.value?r.value:"",a.linear_gradient_angle="angular"==r.type?r.value:"",r.at&&r.at.value&&(r.at.value.x&&r.at.value.x.type&&("position-keyword"==r.at.value.x.type?a.gradient_position_horizontal=r.at.value.x.value:(a.gradient_position_horizontal="explicit",a.gradient_position_horizontal_value=r.at.value.x.value,a.gradient_position_horizontal_unit=r.at.value.x.type)),r.at.value.y&&r.at.value.y.type&&("position-keyword"==r.at.value.y.type?a.gradient_position_vertical=r.at.value.y.value:(a.gradient_position_vertical="explicit",a.gradient_position_vertical_value=r.at.value.y.value,a.gradient_position_vertical_unit=r.at.value.y.type))),i=0;i<o.colorStops.length;i++){var s;"literal"==o.colorStops[i].type?s=o.colorStops[i].value:"hex"==o.colorStops[i].type?s="#"+o.colorStops[i].value:("rgb"==o.colorStops[i].type||"rgba"==o.colorStops[i].type)&&(s=o.colorStops[i].type+"("+o.colorStops[i].value[0]+","+o.colorStops[i].value[1]+","+o.colorStops[i].value[2],"rgba"==o.colorStops[i].type&&(s+=","+o.colorStops[i].value[3]),s+=")"),n.push({color:tinycolor(s).toRgbString(),position:o.colorStops[i].length.value,unit:o.colorStops[i].length.type,index:i,toDelete:!1})}return{data:a,colorStops:n}}function z(t){var e={};if(t["background-image"]&&(e.background_image=t["background-image"].indexOf("url(")>-1?t["background-image"]:"url("+t["background-image"]+")"),t["background-size"])if("auto"==t["background-size"]||"auto auto"==t["background-size"]||"100% 100%"==t["background-size"]||"cover"==t["background-size"]||"contain"==t["background-size"])e.background_size="auto"==t["background-size"]?"auto auto":t["background-size"];else{e.background_size="explicit";var i=t["background-size"].trim().split(" ");i[0]||(e.background_size="cover"),i[0]&&("auto"==i[0]?(e.background_size_horizontal_value="100",e.background_size_horizontal_unit="%"):(e.background_size_horizontal_value=parseInt(i[0],10).toString(),e.background_size_horizontal_unit=i[0].replace(e.background_size_horizontal_value.toString(),""))),i[1]?"auto"==i[0]?(e.background_size_vertical_value="100",e.background_size_vertical_unit="%"):(e.background_size_vertical_value=parseInt(i[1],10).toString(),e.background_size_vertical_unit=i[1].replace(e.background_size_vertical_value.toString(),"")):(e.background_size_vertical_value=e.background_size_horizontal_value,e.background_size_vertical_unit=e.background_size_horizontal_unit)}if(t["background-position"]){e.background_position="explicit";var a=t["background-position"].trim().split(" ");a[0]?(a[0]&&(e.background_position_horizontal_value=parseInt(a[0],10).toString(),e.background_position_horizontal_unit=a[0].replace(e.background_position_horizontal_value.toString(),"")),a[1]?(e.background_position_vertical_value=parseInt(a[1],10).toString(),e.background_position_vertical_unit=a[1].replace(e.background_position_vertical_value.toString(),"")):(e.background_position_vertical_value=e.background_position_horizontal_value,e.background_position_vertical_unit=e.background_position_horizontal_unit)):(e.background_position_horizontal_value="0",e.background_position_horizontal_unit="%",e.background_position_vertical_value="0",e.background_position_vertical_unit="%")}return t["background-repeat"]&&(e.background_repeat=t["background-repeat"]),t["background-attachment"]&&(e.background_attachment=t["background-attachment"]),t["background-origin"]&&(e.background_origin=t["background-origin"]),t["background-clip"]&&(e.background_clip=t["background-clip"]),e}function w(){if(jQuery(".ics-ge-controller",Qi).each(function(){var t=jQuery(this);0!==t.data("name").indexOf("config_")&&(Qi.data(t.data("name"))===t.data("value")?(t.addClass("active"),t.trigger("mousedown")):t.removeClass("active"))}),"image"==ii.mode||xi){Qi.find(".ics-bg-origin-select").val(Qi.data("background_origin")),Qi.find(".ics-bg-clip-select").val(Qi.data("background_clip"));var t="repeat"==Qi.data("background_repeat")||"repeat-x"==Qi.data("background_repeat")?!0:!1,e="repeat"==Qi.data("background_repeat")||"repeat-y"==Qi.data("background_repeat")?!0:!1;Qi.find(".ics-background-repeat-x").prop("checked",t),Qi.find(".ics-background-repeat-y").prop("checked",e)}}function x(){jQuery(".ics-ge-controller",Qi).on("keydown mousedown touchstart",function(t){t.preventDefault(),t.stopPropagation(),j(jQuery(this))}),Qi.on("click",".input-group-addon.bootstrap-touchspin-postfix",function(){S(jQuery(this)),Ie(),K(),ze()}),Qi.on("click","[data-show-popup]",function(){Qi.find("data-show-popup").removeClass("open"),Qi.find(jQuery(this).attr("data-target")).addClass("open"),"#importmodal"==jQuery(this).attr("data-target")&&Si.importtextarea.val("").scrollTop(0).focus().parent().scrollTop(0)}),Qi.on("click",".ics-ge-optionbox .close",function(){jQuery(this).closest(".ics-ge-optionbox").removeClass("open")}),Qi.on("click",".ics-ge-optionbox .import-css",function(){He(Si.importtextarea.val())}),Qi.on("change",".bootstrap-touchspin input",function(){jQuery(this).closest(".ics-ge-controller").trigger("mousedown")}),Qi.on("click",".ics-ge-radial-position-inputs-toggle, .ics-ge-background-options-inputs-toggle",function(){jQuery(this).parent().find(".ics-ge-radial-position-inputs-holder").scrollTop(0),jQuery(this).parent().toggleClass("open")}),"gradient"==ii.mode&&(Qi.on("icsgradienteditor.changeswatches",function(){De()}),Qi.on("touchmove mousemove",function(t){(_i||vi)&&(_i&&(T(t),M(),Ie()),vi&&(P(t),B(!0),Ie()))}),Si.markersarea.on("click",function(t){var e="",i="",a=c(t,jQuery(this)).horizontal.percent,n=gi;jQuery.each(li,function(t,n){parseInt(n.position,10)<parseInt(a,10)&&(e=n),parseInt(n.position,10)>parseInt(a,10)&&""==i&&(i=n)}),""==i?n=e.color:""==e?n=i.color:(n=tinycolor.mix(e.color,i.color),n=tinycolor(n).toRgbString()),X({position:a,startingPosition:a,unit:"%",color:n}),t.stopPropagation(),t.preventDefault(),F(),K(),ze(),Si.colorpickerholder.show(),Si.colorpickerholder.hasClass("initialized")||f(),h(),Si.colorpicker("reflow"),fi=!0,Si.colorpicker.spectrum("set",n)}),jQuery(document).on("touchmove mousemove",function(t){pi&&(A(t),U(c(t,Si.markersarea)),t.stopPropagation(),t.preventDefault())}),jQuery(document).on("touchend mouseup",function(t){pi&&(pi.data("delete-this")&&H(pi.data("index")),pi.data({startingPosition:pi.data("position")}),pi=!1,K(),ze(),t.stopPropagation(),t.preventDefault()),_i&&(_i=!1,K(),ze(),t.stopPropagation(),t.preventDefault()),vi&&(vi=!1,K(),ze(),t.stopPropagation(),t.preventDefault()),fi&&(jQuery(t.target).closest(".sp-container").length||(fi=!1,Si.colorpickerholder.hide(),t.stopPropagation(),t.preventDefault()))}),Si.anglecontroller.on("touchstart mousedown",function(t){_i=!0,T(t),M(),Ie(),t.stopPropagation(),t.preventDefault()}),Si.radialpositioner.on("touchstart mousedown",function(t){vi=!0,P(t),B(!0),Ie(),t.stopPropagation(),t.preventDefault()}),Si.radialpositionercontainer.on("click",function(t){P(t),B(!0),Ie(),t.stopPropagation(),t.preventDefault()}),Si.angleinput.on("keyup",function(){var t=/^\d+$/,e=jQuery(this).val();return""===e&&(e=0),t.test(e)?(W("linear_gradient_angle",e%360),M(!1),Ie(),K(),ze(),void 0):(jQuery(this).val(J("linear_gradient_angle")),!1)}),Si.angleinput.on("blur",function(){var t=jQuery(this);t.val(""===t.val()?"0":J("linear_gradient_angle"))}),jQuery(".ics-ge-controller[data-name=gradient_type], .ics-ge-controller[data-name=gradient_shape]",Qi).on("touchstart mousedown click",function(){C(),K(),ze()}),jQuery(".ics-ge-controller[data-name=gradient_repeat], button[data-name=gradient_size], .ics-ge-linear-direction-implicit [data-name=gradient_direction]",Qi).on("touchstart mousedown click",function(){Ie(),K(),ze()}),jQuery(".ics-ge-radial-preferences input",Qi).on("change keyup",function(){Ie()}),Si.swatches.on("click","li .ics-ge-preset",function(t){I(jQuery(this).data("gradient")),t.stopPropagation(),t.preventDefault()}),Si.swatches_add.on("click",function(t){Fe(),t.stopPropagation(),t.preventDefault()})),(xi||"image"==ii.mode)&&(Qi.on("touchmove mousemove",function(t){zi&&zi&&(E(t),ze())}),jQuery(document).on("touchend mouseup",function(t){zi&&(zi=!1,wi=!1,t.stopPropagation(),t.preventDefault(),ze())}),Si.bgpositionctrl.on("touchstart mousedown",function(t){zi=!0,E(t),t.stopPropagation(),t.preventDefault(),ze()}),Si.bgsizectrl.on("touchstart mousedown",function(t){zi=!0,E(t),t.stopPropagation(),t.preventDefault(),ze()}),jQuery("[data-name=background_size]",Qi).on("touchstart mousedown click",function(){C(),ze()}),jQuery(".ics-ge-background-repeat .ics-switch-checkbox",Qi).on("touchstart mousedown click",function(){var t=jQuery(this).closest(".ics-ge-background-repeat"),e=t.find(".ics-background-repeat-x").prop("checked"),i=t.find(".ics-background-repeat-y").prop("checked"),a=i&&e?"repeat":e?"repeat-x":i?"repeat-y":"no-repeat";W("background_repeat",a),Ie(),ze()}),jQuery(".ics-bg-origin-select",Qi).on("change",function(){W(jQuery(this).attr("data-name"),jQuery(this).val()),Ie(),ze()}),jQuery(".ics-bg-clip-select",Qi).on("change",function(){W(jQuery(this).attr("data-name"),jQuery(this).val()),Ie(),ze()}))}function j(t){var e=t.data("name"),i=t.data("value");if(0!==e.indexOf("config_")){if(J(e)===i)return;t.addClass("active"),W(e,i)}else if(t.data("control-group")){if(Ti[e]===i)return;t.addClass("active")}else t.hasClass("active")?t.removeClass("active"):t.addClass("active");jQuery('.ics-ge-controller.active[data-control-group="'+t.data("control-group")+'"]',Qi).removeClass("active").blur(),jQuery('.ics-ge-controller[data-control-group="'+t.data("control-group")+'"][data-name="'+e+'"][data-value="'+i+'"]',Qi).addClass("active"),Ie()}function I(t,e){t.indexOf("t=")<0&&Re(t),Si.previewarea.addClass("loading"),setTimeout(function(){ki=!1,Y(),v(t,e),m(),w(),setTimeout(function(){F(),Si.previewarea.removeClass("loading")},100),Ge()},100)}function Q(t,e,i){var a;if(t===!1)for(a=0;a<li.length;a++)li[a][e]=i;else for(a=0;a<li.length;a++)if(li[a].index===t){li[a][e]=i;break}}function S(t,e){var i=t.html(),a=t.prev("input"),n=a.data("units");if("undefined"==typeof e){if(e="","undefined"==typeof n)return;var o=n.indexOf(i);e=n.length>o+1?n[o+1]:n[0]}t.html(e),p(a)}function C(t){if("gradient"==ii.mode){"undefined"==typeof t&&(t=!1);var e=J("gradient_type");if("linear"===e)jQuery(".ics-ge-radial-position-inputs.open .ics-ge-radial-position-inputs-toggle",Qi).trigger("click"),jQuery(".ics-ge-linear-preferences",Qi).show(),jQuery(".ics-ge-radial-preferences",Qi).hide(),t&&jQuery("[data-name=gradient_type][data-value=linear]",Qi).trigger("mousedown");else if("radial"===e){jQuery(".ics-ge-linear-preferences",Qi).hide(),jQuery(".ics-ge-radial-preferences",Qi).show(),t&&jQuery("[data-name=gradient_type][data-value=radial]",Qi).trigger("mousedown");var i=J("gradient_shape");"circle"===i?jQuery("input[name=gradient_size_major]",Qi).parent().hide():jQuery("input[name=gradient_size_major]",Qi).parent().show()}M(),B()}if(xi||"image"==ii.mode){if("image"==ii.mode){var a=J("background_image");""==a||"none"==a?(jQuery(".ics-bg-chooser-buts .ics-bg-chooseimage",Qi).show(),jQuery(".ics-bg-chooser-buts .ics-bg-changeimage",Qi).hide()):(jQuery(".ics-bg-chooser-buts .ics-bg-chooseimage",Qi).hide(),jQuery(".ics-bg-chooser-buts .ics-bg-changeimage",Qi).show(),jQuery(".ics-ge-background-options-inputs .form-group",Qi).show())}var n=J("background_size");"explicit"===n?(Si.bgpreviewwrapper.addClass("custom"),Si.bgpreviewwrapper.removeClass("positiononly")):"contain"!==n&&"cover"!==n&&"auto auto"!==n||"gradient"==ii.mode?(Si.bgpreviewwrapper.removeClass("custom"),Si.bgpreviewwrapper.removeClass("positiononly")):(Si.bgpreviewwrapper.addClass("positiononly"),Si.bgpreviewwrapper.removeClass("custom")),"cover"===n||"contain"===n||"auto auto"===n||"100% 100%"===n?(jQuery(".ics-ge-background-size-explicit",Qi).hide(),"gradient"==ii.mode&&(jQuery(".ics-ge-background-position",Qi).hide(),jQuery(".ics-ge-background-repeat",Qi).hide())):(jQuery(".ics-ge-background-size-explicit",Qi).show(),"gradient"==ii.mode&&(jQuery(".ics-ge-background-position",Qi).show(),jQuery(".ics-ge-background-repeat",Qi).show())),(""==a||"none"==a)&&(Si.bgpreviewwrapper.removeClass("custom"),Si.bgpreviewwrapper.removeClass("positiononly"),jQuery(".ics-ge-background-options-inputs .form-group",Qi).hide())}}function T(t){var e=s(t),i=Si.anglecontroller.offset(),a=Si.anglecontroller.width(),n=Si.anglecontroller.height();if(e===!1)return _i=!1,!1;var o=Math.round(e.pageX-i.left-a/2),c=Math.round(e.pageY-i.top-n/2),l=Math.round(r(o,c)+90)%360;W("linear_gradient_angle",l)}function P(t){var e=s(t),i=c(t,Si.radialpositionercontainer);return e===!1?(vi=!1,!1):(Si.radialpositioner.css({left:Math.round(i.horizontal.percent)+"%",top:Math.round(i.vertical.percent)+"%"}),W("gradient_position_horizontal_value",Math.round(i.horizontal.percent)),void W("gradient_position_vertical_value",Math.round(i.vertical.percent)))}function E(t){var e,i,a,n,o=jQuery(t.target).closest(".ics-bg-size-ctrl"),r=s(t),l=c(t,Si.bgpreviewholder),g="position",d="";return o.length>0&&(g=o.hasClass("tm")||o.hasClass("bm")?"vertical":o.hasClass("ml")||o.hasClass("mr")?"horizontal":"horizontalvertical",d=o.prop("class").split(" "),d.splice(d.indexOf("ics-bg-size-ctrl"),1),d=d.join("")),r===!1?(zi=!1,wi=!1,!1):void(wi?(e=2*Math.round(l.horizontal.percent-wi.h),i=2*Math.round(l.vertical.percent-wi.v),("bl"==wi.propDir||"ml"==wi.propDir||"tl"==wi.propDir||J("background_size_horizontal_value")>100&&"position"==wi.propType||"cover"==J("background_size")&&"position"==wi.propType)&&(e*=-1),("tl"==wi.propDir||"tm"==wi.propDir||"tr"==wi.propDir||J("background_size_vertical_value")>100&&"position"==wi.propType||"cover"==J("background_size")&&"position"==wi.propType||"auto auto"==J("background_size")&&"position"==wi.propType)&&(i*=-1),a=wi.elh+e,n=wi.elv+i,"position"==wi.propType?(W("background_position_horizontal_value",a),W("background_position_horizontal_unit","%"),W("background_position_vertical_value",n),W("background_position_vertical_unit","%"),Si.bgposinputh.val(a).trigger("change").next(".input-group-addon").html("%"),Si.bgposinputv.val(n).trigger("change").next(".input-group-addon").html("%")):(a>100&&(a=100),9>a&&(a=9),n>100&&(n=100),15>n&&(n=15),("horizontal"==wi.propType||"horizontalvertical"==wi.propType)&&(W("background_size_horizontal_value",a),W("background_size_horizontal_unit","%"),Si.bgsizeinputh.val(a).trigger("change").next(".input-group-addon").html("%")),("vertical"==wi.propType||"horizontalvertical"==wi.propType)&&(W("background_size_vertical_value",n),W("background_size_vertical_unit","%"),Si.bgsizeinputv.val(n).trigger("change").next(".input-group-addon").html("%")))):wi={h:Math.round(l.horizontal.percent),v:Math.round(l.vertical.percent),elh:Math.round("position"==g?J("background_position_horizontal_value"):J("background_size_horizontal_value")),elv:Math.round("position"==g?J("background_position_vertical_value"):J("background_size_vertical_value")),propType:g,propDir:d})}function M(t){var e=J("linear_gradient_angle");"undefined"==typeof t&&(t=!0),Si.angleline.css("-webkit-transform","rotate("+e+"deg)"),Si.angleline.css("-ms-transform","rotate("+e+"deg)"),Si.angleline.css("transform","rotate("+e+"deg)"),t&&Si.angleinput.val(e)}function B(t){var e=J("gradient_position_horizontal_value"),i=J("gradient_position_vertical_value"),a=J("gradient_position_horizontal_unit"),n=J("gradient_position_vertical_unit"),o=parseInt(e,10),r=parseInt(i,10);"undefined"==typeof t&&(t=!1),"px"==a&&(o=O(o,"h")),"px"==n&&(r=O(r,"v")),0>o&&(o=0),o>100&&(o=100),0>r&&(r=0),r>100&&(r=100),Si.radialpositioner.css({left:o.toString()+"%",top:r.toString()+"%"}),t&&(W("gradient_position_horizontal_unit","%"),W("gradient_position_horizontal_value",o),W("gradient_position_vertical_unit","%"),W("gradient_position_vertical_value",r),Si.radialposinputh.val(o).trigger("change").next(".input-group-addon").html("%"),Si.radialposinputv.val(r).trigger("change").next(".input-group-addon").html("%"))}function O(t,e){var i=Si.previewarea.width(),a=Si.previewarea.height();return e||(e="v"),0>t?t=0:("h"==e&&(t=Math.round(t/parseInt(i,10)*100)),"v"==e&&(t=Math.round(t/parseInt(a,10)*100))),t}function D(t){t.on("touchstart mousedown",function(t){t.which>1||(pi=jQuery(this),bi=!1,G(pi.data("index")),gi=pi.data("color"),h(),t.stopPropagation(),t.preventDefault())}),t.on("click",function(t){bi?bi=!1:(Si.colorpickerholder.show(),Si.colorpickerholder.hasClass("initialized")||f(),h(),Si.colorpickerholder.show(),fi=!0,Si.colorpicker.spectrum("set",gi)),t.stopPropagation(),t.preventDefault()})}function G(t){hi=t}function R(t){return t===hi}function A(t){var e,i=Si.markersarea.offset(),a=s(t),n=!1;if(e=Math.abs(a.pageY>i.top?a.pageY-18-i.top:a.pageY+7-i.top),e>Ci.remove_distance){if(pi.data("delete-this"))return;pi.data("delete-this",1),pi.hide(),n=!0}else{if(!pi.data("delete-this"))return;pi.data("delete-this",0),pi.show(),n=!1}Q(pi.data("index"),"toDelete",n)}function X(t){var e={index:ui++,position:t.position,startingPosition:t.position,unit:t.unit||di,color:t.color,toDelete:!1};di=e.unit,li.push(e),G(e.index)}function F(){Ie(),q(),setTimeout(function(){ki=!0},20)}function Y(){li=[],ui=0,G(-1)}function H(t){for(var e=0;e<li.length;e++)if(li[e].index===t){li.splice(e,1),jQuery("input.ics-ge-stop-point-color",Si.colorstopslist).trigger("colorpickersliders.hide");
break}Ie(),q()}function U(t){var e,i=pi.data("unit");e="%"===i?t.horizontal.percent:t.horizontal.pixel,ai>e?e=ai:e>ni&&(e=ni),(e>parseInt(pi.data("startingPosition"),10)+1.5||e<parseInt(pi.data("startingPosition"),10)-1.5)&&(bi=!0,Si.colorpickerholder.hide(),fi=!1,pi.css("left",e+i).data({position:e,unit:i}),Q(pi.data("index"),"position",e),Ie(),N())}function q(){V(),Si.markersarea.empty();for(var t=0;t<li.length;t++){var e=li[t],i=jQuery("<div></div>").appendTo(Si.markersarea);i.addClass("color-stop").css("left",e.position+e.unit).data(e),D(i);var a=jQuery("<div></div>"),n=jQuery("<span></span>");a.html(n),i.html(a),n.css("background-color",k(e))}N()}function N(){jQuery(".color-stop",Si.markersarea).each(function(){var t,e=jQuery(this);t="%"===e.data("unit")?100:e.parents(".ics-ge-stoppointmarkers").width(),e.data("position")>t?(e.addClass("overflow"),e.removeClass("underflow")):e.data("position")<0?(e.addClass("underflow"),e.removeClass("overflow")):(e.removeClass("underflow"),e.removeClass("overflow"))})}function J(t,e){var i;return i="undefined"==typeof e?Qi.data(t):e.data[t],"undefined"==typeof i&&console.log("missing preference: "+t),i}function W(t,e){"undefined"==typeof Qi.data(t)&&console.log("Uninitialized preference: "+t),Qi.data(t,e)}function $(){var t=ci;return t}function K(){ci=$(),Ge()}function V(t){"undefined"==typeof t&&(t=li),li.sort(function(t,e){return t.position-e.position})}function L(t){var e=oe(t);if(e.length<2)return!1;V(e);for(var i="",a=0;a<e.length;a++){var n=e[a];i+=","+k(n)+" "+Math.round(10*n.position)/10+n.unit}return i+=")"}function Z(t,e,i){var a=i-e,n=(t-e)/a;return Math.round(1e3*n)/1e3}function te(t){for(var e=ae(t),i="",a=0;a<e.length;a++)i+=",color-stop("+Math.round(10*e[a].position)/1e3+", "+k(e[a])+")";return i}function ee(t){if(t.length<2)return t;var e,i,a,n,o,r,s,c,l,g;t[0].position<0&&(e=t[0],i=t[1],a=i.position-e.position,n=1-i.position/a,o=tinycolor(e.color).toRgb(),r=tinycolor(i.color).toRgb(),s=r.r-o.r,c=r.g-o.g,l=r.b-o.b,g={r:Math.round(o.r+n*s),g:Math.round(o.g+n*c),b:Math.round(o.b+n*l)},t[0].color=tinycolor(g).toRgbString(),t[0].position=0),t[t.length-1].position>100&&(e=t[t.length-1],i=t[t.length-2],a=Math.abs(i.position-e.position),n=1-(e.position-100)/a,o=tinycolor(e.color).toRgb(),r=tinycolor(i.color).toRgb(),s=r.r-o.r,c=r.g-o.g,l=r.b-o.b,g={r:Math.round(o.r+n*s),g:Math.round(o.g+n*c),b:Math.round(o.b+n*l)},t[t.length-1].color=tinycolor(g).toRgbString(),t[t.length-1].position=100)}function ie(t){var e=tinycolor(t.color);return'stop-color="'+e.toHexString()+'" stop-opacity="'+e.toRgb().a+'"'}function ae(t){var e,i=oe(t),a=!1,n=!1;if(V(i),!(i.length<2)){a=i[0].position,n=i[i.length-1].position;var o=Math.max(n-a,1),r=0,s=0,c=J("gradient_repeat",t);"on"===c&&(r=-Math.ceil(a/o));var l=[],g=0;do{for(e=0;e<i.length;e++){var d,u;d=i[e].position,u=i[e].unit,"%"!==i[e].unit?(u="%",d=Z(d,a,n)):d=Math.round(10*d)/10,d+=r*o,s=d,l[g++]={color:i[e].color,position:d}}++r}while("on"===c&&100>s);var p=0,b=l.length;for(e=0;e<l.length;e++)if(l[e].position<0)p=e;else if(l[e].position>100){b=e;break}return l=l.splice(p,b-p+1),ee(l),l}}function ne(t){for(var e=ae(t),i="",a=0;a<e.length;a++){var n=e[a].position/100;i+="<stop "+ie(e[a])+' offset="'+n+'"/>'}return i}function oe(t){var e=xe(t),i=0,a=[];V(e);for(var n=0;n<e.length;n++)e[n].toDelete||(a[i++]=jQuery.extend({},e[n]));return a}function re(t){var e=J("gradient_direction",t),i="right";switch(J("gradient_type",t)){case"linear":if("angle"===e){var a=J("linear_gradient_angle",t);i=a>325||45>a?"top":135>a?"right":160>a?"bottom":"left"}else switch(e){case"top":i="top";break;case"top left":i="top";break;case"top right":i="top";break;case"left":i="left";break;case"bottom":i="bottom";break;case"bottom left":i="bottom";break;case"bottom right":i="bottom";break;case"right":i="right"}break;case"radial":i="bottom"}return i}function se(t){var e=oe(t);if(e.length<2)return!1;var i,a,n=tinycolor(e[0].color).toHex8String(),o=tinycolor(e[e.length-1].color).toHex8String(),r=re();switch(r){case"top":i=o,a=n,r="0";break;case"right":i=n,a=o,r="1";break;case"bottom":i=n,a=o,r="0";break;case"left":i=o,a=n,r="1"}return'progid:DXImageTransform.Microsoft.gradient(startColorstr="'+i+'",endColorstr="'+a+'",GradientType='+r+")"}function ce(t,e){var i,a;return"undefined"==typeof e?(i=jQuery('input[name="'+t+'"]',Qi).val(),a=jQuery('input[name="'+t+'"]',Qi).next("span.input-group-addon.bootstrap-touchspin-postfix").html()):(i=e.data[t+"_value"],a=e.data[t+"_unit"]),i+a}function le(t){switch(t){case"top":return"bottom";case"left":return"right";case"bottom":return"top";case"right":return"left";case"top left":return"bottom right";case"top right":return"bottom left";case"bottom left":return"top right";case"bottom right":return"top left"}}function ge(t,e){var i="-webkit-gradient(linear, ",a=te(t);if("angle"===e){var n=J("linear_gradient_angle",t),o=l(n);i+=o.x1+" "+o.y1+", "+o.x2+" "+o.y2}else switch(e){case"top":i+="0% 100%, 0% 0%";break;case"top left":i+="100% 100%, 0% 0%";break;case"top right":i+="0% 100%, 100% 0%";break;case"left":i+="100% 0%, 0% 0%";break;case"bottom":i+="0% 0%, 0% 100%";break;case"bottom left":i+="100% 0%, 0% 100%";break;case"bottom right":i+="0% 0%, 100% 100%";break;case"right":i+="0% 0%, 100% 0%"}return i+=a+")"}function de(t,e){var i,a,n,o,r="",s=ne(t),c="0%",g="100%";if("angle"===e){var d=J("linear_gradient_angle",t),u=l(d);i=u.x1,a=u.y1,n=u.x2,o=u.y2}else switch(e){case"top":i="0%",a=g,n="0%",o=c;break;case"top left":i="100%",a="100%",n="0%",o="0%";break;case"top right":i="0%",a="100%",n="100%",o="0%";break;case"left":i=g,a="0%",n=c,o="0%";break;case"bottom":i="0%",a=c,n="0%",o=g;break;case"bottom left":i="100%",a="0%",n="0%",o="100%";break;case"bottom right":i="0%",a="0%",n="100%",o="100%";break;case"right":i=c,a="0%",n=g,o="0%"}return r='<svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 1 1" preserveAspectRatio="none"><linearGradient id="vsgg" gradientUnits="userSpaceOnUse" x1="'+i+'" y1="'+a+'" x2="'+n+'" y2="'+o+'">',r+=s,r+='</linearGradient><rect x="0" y="0" width="1" height="1" fill="url(#vsgg)" /></svg>',r="url(data:image/svg+xml;base64,"+jQuery.base64.encode(r)+")"}function ue(t,e){"undefined"==typeof e&&(e="all");var i,a,n,o,r,s,c,l=J("gradient_direction",t),g="",d="";if("on"===J("gradient_repeat",t)&&(g="repeating-"),"angle"===l){var u=J("linear_gradient_angle",t);("all"===e||"noprefix"===e)&&(i=g+"linear-gradient("+u+"deg"+L(t),d="linear-gradient(to right"+L(t)),("all"===e||"webkit"===e)&&(a="-webkit-"+g+"linear-gradient("+Math.abs(u-450)%360+"deg"+L(t),d="-webkit-linear-gradient("+le("right")+L(t)),("all"===e||"ms"===e)&&(n="-ms-"+g+"linear-gradient("+Math.abs(u-450)%360+"deg"+L(t),d="-ms-linear-gradient("+le("right")+L(t))}else("all"===e||"noprefix"===e)&&(i=g+"linear-gradient(to "+l+L(t),d="linear-gradient(to right"+L(t)),("all"===e||"webkit"===e)&&(a="-webkit-"+g+"linear-gradient("+le(l)+L(t),d="-webkit-linear-gradient("+le("right")+L(t)),("all"===e||"ms"===e)&&(n="-ms-"+g+"linear-gradient("+le(l)+L(t),d="-ms-linear-gradient("+le("right")+L(t));("all"===e||"oldwebkit"===e)&&(o=ge(t,l),d=ge(t,"right")),("all"===e||"svg"===e)&&(r=de(t,l),d=de(t,"right")),("all"===e||"filter"===e)&&(s=se(t),d=se(t,"right")),("all"===e||"averagebgcolor"===e)&&(c=Ee(t),d=Ee(t));var p={valid:!0,noprefix:i,webkit:a,ms:n,oldwebkit:o,svg:r,filter:s,averagebgcolor:c,linearpreview:d};return p}function pe(){return Si.preview.width()}function be(){return Si.preview.height()}function _e(t){var e="-webkit-gradient(radial, ",i=te(t),a=J("gradient_size",t),n=J("gradient_position_horizontal",t),o=J("gradient_position_vertical",t);if("explicit"===n&&(n=J("gradient_position_horizontal_value",t),"%"===J("gradient_position_horizontal_unit",t)&&(n+="%")),"explicit"===o&&(o=J("gradient_position_vertical_value",t),"%"===J("gradient_position_vertical_unit",t)&&(o+="%")),"explicit"!==a){a=ve(n,o,t);var r=pe(),s=be();a=Math.round(a/100*Math.sqrt(r*r+s*s))}else a=J("gradient_size_value",t),"ellipse"===J("gradient_shape",t)&&(a=Math.round((parseInt(a,10)+parseInt(J("gradient_size_major_value",t),10))/2));return e+=n+" "+o+", 0, "+n+" "+o+", "+a,e+=i+")"}function ve(t,e,i){var a,n;switch("left"===t?t=0:"center"===t?t=50:"right"===t&&(t=100),"top"===e?e=0:"center"===e?e=50:"bottom"===e&&(e=100),t=parseInt(t,10),e=parseInt(e,10),J("gradient_size",i)){case"closest-side":return a=50>t?t:100-t,n=50>e?e:100-e,Math.min(a,n);case"closest-corner":return a=50>t?t:100-t,n=50>e?e:100-e,Math.sqrt(a*a+n*n);case"farthest-side":return a=50>t?100:t,n=50>e?100-e:e,Math.max(a,n);case"farthest-corner":return a=50>t?100:t,n=50>e?100-e:e,Math.sqrt(a*a+n*n);default:a=t>50?t:100-t,n=e>50?e:100-e;var o;if("%"===J("gradient_size_unit",i))o="circle"===J("gradient_shape",i)?J("gradient_size_value",i):(parseInt(J("gradient_size_value",i),10)+parseInt(J("gradient_size_major_value"),10))/2;else if("circle"===J("gradient_shape",i))o=Math.round(parseInt(J("gradient_size_value",i),10)/((pe()+be())/2)*1e3)/10;else{var r=(parseInt(J("gradient_size_value",i),10)+parseInt(J("gradient_size_major_value"),10))/2;o=Math.round(r/((pe()+be())/2)*1e3)/10}return o}}function fe(t){var e,i,a,n,o,r="",s=ne(t);switch(e=J("gradient_position_horizontal",t)){case"explicit":e=J("gradient_position_horizontal_value",t);break;case"left":e=0;break;case"center":e=50;break;case"right":e=100}switch(i=J("gradient_position_vertical",t)){case"explicit":i=J("gradient_position_vertical_value",t);break;case"top":i=0;break;case"center":i=50;break;case"bottom":i=100}return n=e>50?e:100-e,o=i>50?i:100-i,a=ve(n,o,t),r='<svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 1 1" preserveAspectRatio="none"><radialGradient id="vsgg" gradientUnits="userSpaceOnUse" cx="'+e+'%" cy="'+i+'%" r="'+a+'%">',r+=s,r+='</radialGradient><rect x="-50" y="-50" width="101" height="101" fill="url(#vsgg)" /></svg>',r="url(data:image/svg+xml;base64,"+jQuery.base64.encode(r)+")"}function he(t,e){"undefined"==typeof e&&(e="all"),"undefined"!=typeof t&&("explicit"!=t.data.gradient_position_horizontal||"explicit"!=t.data.gradient_position_vertical)&&(t.data=me(t.data));var i,a,n,o,r,s,c,l=J("gradient_shape",t),g=J("gradient_size",t),d=l+" "+g,u=J("gradient_position_horizontal",t),p=J("gradient_position_vertical",t),b="",_="";"explicit"===u&&(u=ce("gradient_position_horizontal",t)),"explicit"===p&&(p=ce("gradient_position_vertical",t)),"explicit"===g&&(g=ce("gradient_size",t),"ellipse"===l?(g=g+" "+ce("gradient_size_major",t),d=g):d=g+" "+g),"on"===J("gradient_repeat",t)&&(b="repeating-"),("all"===e||"noprefix"===e)&&(i=b+"radial-gradient("+l+" "+g+" at "+u+" "+p+L(t),_="linear-gradient(to right"+L(t)),("all"===e||"webkit"===e)&&(a="-webkit-"+b+"radial-gradient("+u+" "+p+", "+d+L(t),_="-webkit-linear-gradient(to right"+L(t)),("all"===e||"ms"===e)&&(n="-ms-"+b+"radial-gradient("+u+" "+p+", "+d+L(t),_="-ms-linear-gradient(to right"+L(t)),("all"===e||"svg"===e)&&(r=fe(t),_=de(t,"right")),("all"===e||"filter"===e)&&(s=se(t),_=se(t,"right")),("all"===e||"averagebgcolor"===e)&&(c=Ee(t),_=Ee(t)),("all"===e||"oldwebkit"===e)&&(o=_e(t),_=ge(t,"right"));var v={valid:Me(l,g,u,p),noprefix:i,oldwebkit:o,svg:r,webkit:a,ms:n,filter:s,averagebgcolor:c,linearpreview:_};return v}function me(t){var e=0,i=0;return"explicit"!=t.gradient_position_horizontal&&("center"==t.gradient_position_horizontal&&(e=50),"right"==t.gradient_position_horizontal&&(e=100),t.gradient_position_horizontal="explicit",t.gradient_position_horizontal_unit="%",t.gradient_position_horizontal_value=e),"explicit"!=t.gradient_position_vertical&&("center"==t.gradient_position_vertical&&(i=50),"right"==t.gradient_position_vertical&&(i=100),t.gradient_position_vertical="explicit",t.gradient_position_vertical_unit="%",t.gradient_position_vertical_value=i),t}function ke(){return"linear"===J("gradient_type")?ue():he()}function ye(){if("gradient"==ii.mode){var t=je(),e=oe(),i=Ti.config_cssselector;if(t>1){var a=ke();if(a.valid){var n={bgcolor:"background-color: "+k(a.averagebgcolor)+"; /* Old browsers */\n",svg:"background-image: "+a.svg+"; /* IE9, iOS 3.2+ */\n",oldwebkit:"background-image: "+a.oldwebkit+"; /*Old Webkit*/\n",androidhack:"background-image: "+a.svg+",\n        "+a.oldwebkit+"; /* Android 2.3- hack (needed for radial gradients) */\n",webkit:"background-image: "+a.webkit+"; /* Android 2.3 */\n",ms:"background-image: "+a.ms+"; /* IE10+ */\n",noprefix:"background-image: "+a.noprefix+"; /* W3C */\n",filter:"\n/* IE8- CSS hack */\n@media \\0screen\\,screen\\9 {\n    "+i+" {\n        filter: "+a.filter+";\n    }\n}"},o="";Ti.config_generation_bgcolor&&(o+=n.bgcolor),Ti.config_generation_svg&&Ti.config_generation_oldwebkit?qe()?(o+=n.svg,o+=n.oldwebkit):(o+=n.svg,o+=n.androidhack):(Ti.config_generation_svg&&(o+=n.svg),Ti.config_generation_oldwebkit&&(o+=n.oldwebkit)),Ti.config_generation_webkit&&(o+=n.webkit),Ti.config_generation_ms&&(o+=n.ms),o+=n.noprefix,oi=o,Ti.config_generation_iefilter&&(oi+=n.filter)}else oi=t>0?"background-color: "+k(e[e.length-1])+";\n":"background-color: transparent;"}else if(1===t){if(oi="background-color: "+k(e[0])+";\n",tinycolor(e[0].color).getAlpha()<1){var r='progid:DXImageTransform.Microsoft.gradient(startColorstr="'+tinycolor(e[0].color).toHex8String()+'",endColorstr="'+tinycolor(e[0].color).toHex8String()+'")';oi+="\n\n/* IE8- CSS hack */\n@media \\0screen\\,screen\\9 {\n    .yourtargetelement {\n        background-color:transparent;\n        filter: "+r+";\n    }\n}"}}else oi="background-color: transparent;\n"}else{oi="";var a={}}xi&&a&&(a=Pe(a),jQuery.each(a.backgroundProperties,function(t,e){oi+="\n"+t+":"+e+";"}))}function ze(){ye(),Si.cssoutput.text(oi)}function we(t,e){"undefined"==typeof t&&(t=Si.preview);var i="transparent",a=xe(e);V(a);for(var n=0;n<a.length;n++){var o=a[n];o.toDelete||(i=k(o))}t?(t.css("background",i),t.is(Si.preview)):Si.preview.css("background",i)}function xe(t){return"undefined"==typeof t?li:t.colorStops}function je(t){for(var e=xe(t),i=0,a=0;a<e.length;a++)e[a].toDelete||++i;return i}function Ie(t,e){if("gradient"==ii.mode){if("undefined"==typeof t&&(t=Si.preview),je(e)<2)return void we(t,e);var i=J("gradient_type",e);switch(i){case"linear":Ce(t,e);break;case"radial":Te(t,e);break;default:console.log("Unknown gradient type: "+i)}}else Se(t,e)}function Qe(t,e,i){if("gradient"==ii.mode){"undefined"==typeof t&&(t=Si.preview);var a=g(),n=!1;switch(a){case"noprefix":t.css("background-image",e.noprefix);break;case"webkit":t.css("background-image",e.webkit);break;case"ms":t.css("background-image",e.ms);break;case"svg":t.css("background-image",e.svg);break;case"oldwebkit":t.css("background-image",e.oldwebkit);break;case"filter":t.css("filter",e.filter);break;case"averagebgcolor":default:t.css("background-color",Ee(i))}if(t==Si.preview){if(Si.linearpreview.css("background-image",e.linearpreview),Si.cssTarget)switch(a){case"noprefix":Si.cssTarget.css("background-image",e.noprefix);break;case"webkit":Si.cssTarget.css("background-image",e.webkit);break;case"ms":Si.cssTarget.css("background-image",e.ms);break;case"svg":Si.cssTarget.css("background-image",e.svg);break;case"oldwebkit":Si.cssTarget.css("background-image",e.oldwebkit);break;case"filter":Si.cssTarget.css("filter",e.filter);break;case"averagebgcolor":default:Si.cssTarget.css("background-color",Ee(i))}if(Si.cssInputTarget)if("noprefix"==ii.targetCssOutput)var o=e.noprefix;else{var r=xi;xi=!1,ye();var o=oi;xi=r}xi&&Si.bgPreviewEl&&(Si.bgPreviewEl.css("background-image",e.noprefix),Si.bgPreviewImg.css("background-image",e.noprefix))}ci=e.noprefix,Re(e.noprefix)}if(xi||"image"==ii.mode){if(Si.cssTarget&&Si.cssTarget.css(e.backgroundProperties),"image"==ii.mode&&Si.cssInputTarget)var o=e.backgroundProperties["background-image"];Si.bgPreviewEl&&(Si.bgPreviewEl.css(e.backgroundProperties),Si.bgPreviewImg.css(e.backgroundPreviewProperties)),Si.cssBgInputTarget&&si&&("object"==typeof Si.cssBgInputTarget&&Object.keys(Si.cssBgInputTarget).length>1&&!Si.cssBgInputTarget.jquery?jQuery.each(Si.cssBgInputTarget,function(t,i){i.val(e.backgroundProperties[t]),n=i}):Si.cssBgInputTarget instanceof jQuery&&1==Si.cssBgInputTarget.length&&(Si.cssBgInputTarget.val(e.backgroundPropertiesString),n=Si.cssBgInputTarget))}Si.cssInputTarget&&si&&(Si.cssInputTarget.val(o),n=Si.cssInputTarget),si||(si=!0),n&&n.trigger("change")}function Se(t,e){var i={};i=Pe(i),Qe(t,i,e)}function Ce(t,e){"undefined"==typeof t&&(t=Si.preview);var i=ue(e,g());return xi&&(i=Pe(i)),i.stoppoints===!1?void we(t,e):void Qe(t,i,e)}function Te(t,e){"undefined"==typeof t&&(t=Si.preview);var i=he(e,g());return xi&&(i=Pe(i)),i.valid&&i.stoppointsstring!==!1?void Qe(t,i,e):void we(t,e)}function Pe(t){if(t){var e={},i={},a=[];if("image"==ii.mode){var n=J("background_image");e["background-image"]=n,i["background-image"]=n}var o=J("background_size"),r=J("background_size_horizontal_value")+J("background_size_horizontal_unit")+" "+J("background_size_vertical_value")+J("background_size_vertical_unit"),s=J("background_position_horizontal_value")+J("background_position_horizontal_unit")+" "+J("background_position_vertical_value")+J("background_position_vertical_unit"),c=J("background_repeat"),l=J("background_attachment"),g=J("background_origin"),d=J("background_clip");if(e["background-size"]="explicit"===o?r:o,e["background-position"]=s,e["background-repeat"]=c,e["background-attachment"]=l,e["background-origin"]=g,e["background-clip"]=d,jQuery.each(e,function(t,e){a.push(t+": "+e+";")}),a=a.join("\n"),"explicit"===o){var u=[],p=[],b=100,_=100,v=parseInt(J("background_size_horizontal_value"),10),f=J("background_size_horizontal_unit"),h=parseInt(J("background_size_vertical_value"),10),m=J("background_size_vertical_unit"),k=parseInt(J("background_position_horizontal_value"),10),y=J("background_position_horizontal_unit"),z=parseInt(J("background_position_vertical_value"),10),w=J("background_position_vertical_unit");i["background-size"]="100%",100>=v?(i.width=v.toString()+f,b=v,u.push("100%"),p.push("0%")):(i.width="100%",u.push(v.toString()+f),p.push(k.toString()+y)),100>=h?(i.height=h.toString()+m,_=h,u.push("100%"),p.push("0%")):(i.height="100%",u.push(h.toString()+m),p.push(z.toString()+w)),"%"==y&&"%"==f&&(v>100&&(v=100),i.left=(100-v)*(k/100),i.left=i.left>=0-b&&i.left<100?i.left.toString()+"%":i.left<0-b?b.toString+"%":"100%"),"%"==w&&"%"==m&&(h>100&&(h=100),i.top=(100-h)*(z/100),i.top=i.top>=0-_&&i.top<100?i.top.toString()+"%":i.top<0-_?_.toString+"%":"100%"),i["background-size"]=u.join(" "),i["background-position"]=p.join(" ")}else i.width="100%",i.height="100%",i.left="0%",i.top="0%",i["background-size"]=o,i["background-position"]=s,i["background-repeat"]="no-repeat";return t.backgroundProperties=e,t.backgroundPreviewProperties=i,t.backgroundPropertiesString=a,t}}function Ee(t){var e=oe(t);if(1===e.length)return e[0].color;var i,a=e[0].position,n=e[e.length-1].position,o=n-a,r=0,s=0,c=0,l=0;for(i=0;i<e.length;i++)e[i].percentpos=n>100||"on"===J("gradient_repeat",t)?(e[i].position-a)/o:parseFloat(e[i].position)/100,e[i].rgb=tinycolor(e[i].color).toRgb();for(i=0;i<e.length;i++){var g=i>0?e[i-1].percentpos:0,d=i<e.length-1?e[i+1].percentpos:1;e[i].weight=(e[i].percentpos-g)/2+(d-e[i].percentpos)/2}for(e[0].weight+=e[0].percentpos/2,e[e.length-1].weight+=(1-e[e.length-1].percentpos)/2,i=0;i<e.length;i++)r+=e[i].rgb.r*e[i].weight,s+=e[i].rgb.g*e[i].weight,c+=e[i].rgb.b*e[i].weight,l+=e[i].rgb.a*e[i].weight;var u={r:r,g:s,b:c,a:l},p=1===u.a?tinycolor(u).toHexString():tinycolor(u).toRgbString();return p}function Me(t,e,i,a){if("0"===e.charAt(0)||e.indexOf(" 0")>-1)return!1;var n=0;return"0"===i.charAt(0)&&n++,"0"===a.charAt(0)&&n++,e.match(/(closest-corner)/i)&&i.match(/(left|right)/i)&&a.match(/(top|bottom)/i)?!1:e.match(/(closest-side)/i)&&(i.match(/(left|right)/i)||a.match(/(top|bottom)/i))?!1:"closest-side"===e&&n>0?!1:"closest-corner"===e&&n>1?!1:t.match(/(ellipse)/i)&&e.match(/(closest-corner)/i)&&(n>0||i.match(/(left|right)/i)||a.match(/(top|bottom)/i))?!1:!0}function Be(){for(var t=0;t<ii.defaultCssSwatches.length;t++)mi.push(ii.defaultCssSwatches[t]);Re()}function Oe(){if(mi=[],Ci.localStoragePrefix){var t=[];try{if(t=JSON.parse(localStorage.getItem(Ci.localStoragePrefix+"-cssgradientswatches")))for(var e=0;e<t.length;e++)mi.push(t[e]);else Be()}catch(i){console.log(i),Be()}}else Be()}function De(){if(Oe(),Si.swatches.html(""),mi instanceof Array)for(var t=0;t<mi.length;t++){var e=mi[t],i=jQuery("<span></span>"),a=jQuery('<div class="ics-ge-preset"></div>').data("gradient",e);a.append(i),Si.swatches.append(jQuery("<li></li>").append(a)),Ie(i,y(e))}Ge()}function Ge(){var t=!1;ci=$(),jQuery(".ics-ge-preset",Si.swatches).filter(function(){var e=jQuery(this).data("gradient");if(e===ci){t=!0;var i=jQuery(this).parent();i.is(Si.actualswatch)||(Si.actualswatch&&Si.actualswatch.removeClass("actual"),Si.actualswatch=i,i.addClass("actual"))}}),t||Si.actualswatch&&(Si.actualswatch.removeClass("actual"),Si.actualswatch=!1),Si.actualswatch?Si.swatches_add.prop("disabled",!0):Si.swatches_add.prop("disabled",!1)}function Re(t){if(t)try{localStorage.setItem(Ci.localStoragePrefix+"-cssgradientswatches-mostrecent",t)}catch(e){console.log(e)}else try{localStorage.setItem(Ci.localStoragePrefix+"-cssgradientswatches",JSON.stringify(mi))}catch(e){console.log(e)}}function Ae(){var t;try{t=localStorage.getItem(Ci.localStoragePrefix+"-cssgradientswatches-mostrecent")}catch(e){console.log("couldnt get most recent"),console.log(e)}return t}function Xe(t){return-1===mi.indexOf(t)}function Fe(){Ye(ci)}function Ye(t){return Xe(t)?(mi.unshift(t),Re(),void Qi.trigger("icsgradienteditor.changeswatches")):!1}function He(t){var e,i=[],a=[],n="";if(t&&("object"==typeof t?""!=t["background-image"]?i.push(t["background-image"]):i="":i=t.split(";"),""!=i&&(jQuery.each(i,function(t,e){var i=e;i.indexOf(":")>-1&&(i=i.split(":")[1]),a.push(i.trim())}),jQuery.each(a,function(t,e){var i=e;i.indexOf("-gradient")>-1&&(n=i)}))),""!=n){var o="";o=y(n),o?(Qi.find(".ics-ge-optionbox.open").removeClass("open"),"object"==typeof t&&(e=t),I(n,e)):alert("Sorry I was unable to parse that css, please try again.")}else{var r=Ae();I(ii.startingGradient&&y(ii.startingGradient)?ii.startingGradient:r?r:ii.defaultGradient)}}function Ue(t){var e=t["background-image"]?t["background-image"]:"none",i=t;v(e,i),C(),m(),w(),Ie()}function qe(t){return"linear"===J("gradient_type",t)?!0:"ellipse"===J("gradient_shape",t)?!1:"explicit"!==J("gradient_size",t)?!1:!0}function Ne(){var t=document.createElement("detectGradientSupport").style;try{if(t.backgroundImage="linear-gradient(to top left, #9f9, white)",-1!==t.backgroundImage.indexOf("gradient"))return"noprefix";if(t.backgroundImage="-webkit-linear-gradient(left top, #9f9, white)",-1!==t.backgroundImage.indexOf("gradient"))return"webkit";if(t.backgroundImage="-ms-linear-gradient(left top, #9f9, white)",-1!==t.backgroundImage.indexOf("gradient"))return"ms";if(t.backgroundImage="-webkit-gradient(linear, left top, right bottom, from(#9f9), to(white))",-1!==t.backgroundImage.indexOf("gradient"))return"oldwebkit"}catch(e){try{if(t.filter="progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff',endColorstr='#000000',GradientType=0)",-1!==t.filter.indexOf("DXImageTransform"))return"filter"}catch(e){}}return!1}function Je(){return!!document.createElementNS&&!!document.createElementNS("http://www.w3.org/2000/svg","svg").createSVGRect}function We(){Qi.appendTo(ei)}function $e(){console.log("hide")}function Ke(){console.log("option")}function Ve(t){if(!t)return!1;if((t.targetElement||t.targetInputElement||t.targetBgInputElement)&&(t.targetElement&&(ii.targetElement=t.targetElement),t.targetInputElement&&(ii.targetInputElement=t.targetInputElement),t.targetBgInputElement&&(ii.targetBgInputElement=t.targetBgInputElement),b()),t.startingGradient||t.startingImage||t.startingBgProps){si=!1;var e=t.startingBgProps?t.startingBgProps:{};t.startingGradient?"gradient"==ii.mode?e["background-image"]=t.startingGradient:console.log("Could not set starting gradient since this editor instance is not in gradient mode"):t.startingImage&&("image"==ii.mode?e["background-image"]=t.startingImage:console.log("Could not set starting Image since this editor instance is not in image mode")),"gradient"==ii.mode?He(e):Ue(e)}}function Le(t){return t?(Si.cssBgInputTarget=t,void(Si.cssInputTarget=t["background-image"])):!1}function Ze(t){var e={},i={},a=ii;try{i=JSON.parse(t)}catch(n){"array"==typeof t||"object"==typeof t?i=t:e="no options found"}return jQuery.isEmptyObject(i)&&"array"!=typeof i||jQuery.each(i,function(t,i){e[i]=a[i]}),e}function ti(){ei.html("")}function ei(){console.log("container")}var ii=e(n,a),ai=-3e3,ni=3e3,oi="",ri=!1,si=!0;if("gradient"==ii.mode)var ci,li=[],gi="#c30000",di="%",ui=0,pi=!1,bi=!1,_i=!1,vi=!1,fi=!1,hi=-1,mi=[],ki=!1,yi={noprefix:!1,svg:!1,oldwebkit:!1,filter:!1};if("image"==ii.mode||ii.interface.indexOf("background")>-1)var zi=!1,wi=!1,xi=!0,ji=!1;var Ii=a.ownerDocument,ei=(Ii.body,t(a),t(a)),Qi=i(ii,u,Ii),Si={cssTarget:!1,cssInputTarget:!1,cssoutput:Qi.find(".ics-ge-cssoutput"),get_css:Qi.find(".ics-ge-getcss")},Ci={};if("gradient"==ii.mode&&(Si.colorpickerholder=Qi.find(".ics-ge-colorpicker-container"),Si.colorpicker=Qi.find(".ics-ge-colorpicker"),Si.markersarea=Qi.find(".ics-ge-stoppointmarkers"),Si.radialpositionercontainer=Qi.find(".ics-ge-radial-position-dragarea"),Si.radialpositioner=Qi.find(".ics-ge-radial-position-draggable"),Si.radialposinputh=Qi.find("input[name=gradient_position_horizontal]"),Si.radialposinputv=Qi.find("input[name=gradient_position_vertical]"),Si.radialinputstoggle=Qi.find(".ics-ge-radial-position-inputs-toggle"),Si.anglecontroller=Qi.find(".ics-ge-controller.ics-ge-direction-angle"),Si.angleline=Qi.find(".ics-ge-controller.ics-ge-direction-angle span"),Si.angleinput=Qi.find("span.ics-ge-direction-angle-input input"),Si.previewcontainer=Qi.find(".ics-ge-preview-container"),Si.previewarea=Qi.find(".ics-ge-preview"),Si.preview=Qi.find(".ics-ge-preview div"),Si.gradientstopeditor=Qi.find(".ics-ge-stopeditor span"),Si.linearpreview=Qi.find(".ics-ge-linear-preview .ics-ge-preview div"),Si.colorstopslist=Qi.find(".ics-ge-stoppointlist"),Si.importmodal=Qi.find("#importmodal"),Si.importtextarea=Qi.find(".ics-ge-textarea-import"),Si.actualswatch=!1,Si.swatchescontainer=Qi.find(".ics-ge-swatches"),Si.swatches=Qi.find(".ics-ge-swatches ul"),Si.swatches_add=Qi.find(".ics-ge-save"),Si.gradientpreferencesadvanced=Qi.find(".gradient-preferences-advanced"),Qi.find(".ics-ge-import").css("display","")),("image"==ii.mode||ii.interface.indexOf("background")>-1)&&(Si.cssBgInputTarget=!1,Si.bgPreviewEl=!1,Si.bgPreviewImg=!1,Si.bgpreviewholder=!1,Si.bgpositionctrl=!1,Si.bgsizectrl=!1,Si.bgposinputh=!1,Si.bgposinputv=!1,Si.bgsizeinputh=!1,Si.bgsizeinputv=!1,"image"==ii.mode&&Qi.find(".ics-ge-import").css("display","none")),"gradient"==ii.mode){Ci.localStoragePrefix="icsge",Ci.defaultCssSwatches=ii.defaultSwatches,Ci.remove_distance=50,Ci.positiondecimals=1,Ci.gradient_type="linear",Ci.gradient_direction="bottom right",Ci.gradient_size="farthest-corner",Ci.gradient_size_value="40",Ci.gradient_size_unit="px",Ci.gradient_size_major_value="40",Ci.gradient_size_major_unit="px",Ci.gradient_repeat="off",Ci.gradient_shape="ellipse",Ci.linear_gradient_angle="0",Ci.gradient_position_horizontal="left",Ci.gradient_position_horizontal_value="15",Ci.gradient_position_horizontal_unit="%",Ci.gradient_position_vertical="top",Ci.gradient_position_vertical_value="15",Ci.gradient_position_vertical_unit="%";var Ti={config_colorformat:"rgb",config_colorpicker_hsl:!0,config_colorpicker_rgb:!0,config_colorpicker_cie:!1,config_colorpicker_opacity:!0,config_colorpicker_swatches:!1,config_previewwidth:"",config_previewheight:"",config_mixedstoppointunits:"enabled",config_generation_bgcolor:!0,config_generation_iefilter:!0,config_generation_svg:!0,config_generation_oldwebkit:!0,config_generation_webkit:!0,config_generation_ms:!0,config_cssselector:".gradient"}}("image"==ii.mode||ii.interface.indexOf("background")>-1)&&(Ci.background_size="auto auto",Ci.background_size_horizontal_value="75",Ci.background_size_horizontal_unit="%",Ci.background_size_vertical_value="75",Ci.background_size_vertical_unit="%",Ci.background_position="explicit",Ci.background_position_horizontal_value="50",Ci.background_position_horizontal_unit="%",Ci.background_position_vertical_value="50",Ci.background_position_vertical_unit="%",Ci.background_repeat="repeat",Ci.background_attachment="scroll",Ci.background_origin="image"==ii.mode?"padding-box":"border-box",Ci.background_clip="border-box"),_(),ri=!0;var Pi={show:We,hide:$e,option:Ke,set:function(t){Ve(t)},setInputs:function(t){Le(t)},get:function(t){return Ze(t)},destroy:ti,container:ei};return Pi.id=d.push(Pi)-1,Pi}function n(){}function o(t,e){var i=Array.prototype.slice,a=i.call(arguments,2);return function(){return t.apply(e,a.concat(i.call(arguments)))}}function r(t,e){return e>=0?180*Math.atan2(e,t)/Math.PI:360+180*Math.atan2(e,t)/Math.PI}function s(t){return"undefined"!=typeof t.pageX?{pageX:t.pageX,pageY:t.pageY}:"undefined"!=typeof t.originalEvent&&"undefined"!=typeof t.originalEvent.touches?{pageX:t.originalEvent.touches[0].pageX,pageY:t.originalEvent.touches[0].pageY}:!1}function c(t,e){var i=s(t),a=e.width(),n=i.pageX-e.offset().left,o=e.height(),r=i.pageY-e.offset().top,c=n/a*100,l=r/o*100;return 0>c&&(c=0),c>100&&(c=100),0>l&&(l=0),l>100&&(l=100),{horizontal:{percent:c,pixel:n},vertical:{percent:l,pixel:r}}}function l(t){var e,i,a=Math.round(50*Math.tan(t%45*Math.PI/180)),n=Math.sin(4*(t-45)*Math.PI/180),o=6*Math.sqrt(2),r=Math.abs(n*o);return t>=0&&45>t&&(e=a+r,i=-50-r),t>=45&&90>t&&(e=50+r,i=-50+a-r),t>=90&&135>t&&(e=50+r,i=a+r),t>=135&&180>t&&(e=50-a+r,i=50+r),t>=180&&225>t&&(e=-a-r,i=50+r),t>=225&&270>t&&(e=-50-r,i=50-a+r),t>=270&&315>t&&(e=-50-r,i=-a-r),t>=315&&360>t&&(e=-50+a-r,i=-50-r),{xs:e,ys:i,x1:Math.round(10*(50-e))/10+"%",y1:Math.round(10*(50-i))/10+"%",x2:Math.round(10*(50+e))/10+"%",y2:Math.round(10*(50+i))/10+"%"}}("undefined"==typeof console||"undefined"==typeof console.log)&&(console={},console.log=function(){});var g={beforeShow:n,move:n,change:n,show:n,hide:n,"interface":["gradient","swatches","background"],defaultGradient:"linear-gradient(160deg, rgba(95, 30, 0, 0.8) 0%, rgba(255, 175, 73, 0.6) 100%)",mode:"gradient",showBgPreview:!0,startingGradient:!1,startingImage:!1,startingBgProps:!1,targetElement:!1,targetInputElement:!1,targetCssOutput:"noprefix",targetBgInputElement:!1,colorpickerToUse:"spectrum",colorpickerInitOptions:!1,colorpickerDestination:!1,defaultCssSwatches:["linear-gradient(0deg,rgba(30, 87, 153, 0.45) 0%,rgba(41, 137, 216, 0.59) 47.8%,rgba(36, 92, 140, 0.74) 47.8%,rgba(125, 185, 232, 0.53) 100%)","repeating-linear-gradient(to bottom right,rgba(0, 165, 223,0.5) 0%,rgba(62, 20, 123,0.5) 20%,rgba(226, 0, 121,0.5) 40%,rgba(223, 19, 44,0.5) 60%,rgba(243, 239, 21,0.5) 80%,rgba(0, 152, 71,0.5) 100%)","linear-gradient(to bottom,rgba(255, 255, 255, 0.71) 0%,rgba(197, 197, 197, 0.53) 100%)","linear-gradient(to bottom,rgba(135, 224, 253, 0.63) 0%,rgba(83, 203, 241, 0.67) 40%,rgba(2, 146, 192, 0.63) 100%)","linear-gradient(to bottom,rgba(240, 249, 255, 0.66) 0%,rgba(203, 235, 255, 0.63) 47%,rgba(161, 219, 255, 0.67) 100%)","repeating-linear-gradient(to bottom right,rgba(254, 158, 150, 0.7) 0%,rgba(172, 79, 115, 0.71) 100%)","linear-gradient(to bottom, rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%)","repeating-linear-gradient(to bottom right,rgba(125,125,255,0.5) 0%,rgba(125,125,255,0.5) 9%,rgba(0, 0, 0, 0) 10%,rgba(0, 0, 0, 0) 19%,rgba(125,125,255,0.5) 20%,rgba(125,125,255,0.5) 29%,rgba(0, 0, 0, 0) 30%,rgba(0, 0, 0, 0) 39%,rgba(125,125,255,0.5) 40%,rgba(125,125,255,0.5) 49%,rgba(0, 0, 0, 0) 50%,rgba(0, 0, 0, 0) 59%,rgba(125,125,255,0.5) 60%,rgba(125,125,255,0.5) 69%,rgba(0, 0, 0, 0) 70%,rgba(0, 0, 0, 0) 79%,rgba(125,125,255,0.5) 80%,rgba(125,125,255,0.5) 89%,rgba(0, 0, 0, 0) 90%,rgba(0, 0, 0, 0) 100%)","linear-gradient(to bottom, rgba(242,246,248,1) 0%,rgba(216,225,231,1) 50%,rgba(181,198,208,1) 51%,rgba(224,239,249,1) 100%)","linear-gradient(171deg,rgb(222, 169, 43) 0%,rgb(255, 247, 133) 47%,rgb(227, 135, 24) 48%,rgb(252, 195, 48) 57.6%,rgb(152, 102, 0) 100%)","linear-gradient(to bottom,rgb(199, 207, 212) 0%,rgb(255, 255, 255) 47.2%,rgb(128, 125, 123) 47.2%,rgb(197, 193, 183) 57.6%,rgb(120, 118, 114) 100%)","linear-gradient(to bottom,rgb(171, 214, 247) 0%,rgb(255, 255, 255) 47.2%,rgb(145, 73, 40) 47.2%,rgb(200, 161, 70) 57.6%,rgb(100, 75, 16) 100%)","repeating-radial-gradient(ellipse farthest-corner at 15% 15%,rgb(243, 239, 21) 0%,rgb(0, 72, 19) 100%)","linear-gradient(to bottom, #fcecfc 0%,#fba6e1 50%,#fd89d7 51%,#ff7cd8 100%)","linear-gradient(to bottom, rgba(252,255,244,1) 0%,rgba(233,233,206,1) 100%)","repeating-radial-gradient(circle 10em at 51% 0%,rgb(190, 43, 43) 0%,rgb(149, 8, 8) 49.3%,rgb(160, 22, 22) 50%,rgb(187, 72, 72) 100%)","repeating-linear-gradient(to bottom,rgb(72, 85, 108) 0%,rgb(27, 33, 43) 50%,rgb(20, 25, 34) 51%,rgb(53, 59, 69) 100%)","repeating-linear-gradient(to bottom,rgb(226, 226, 226) 0%,rgb(219, 219, 219) 50%,rgb(209, 209, 209) 51%,rgb(254, 254, 254) 100%)","linear-gradient(to bottom right,rgb(249, 73, 182) 0%,rgb(255, 139, 139) 100%)","linear-gradient(to bottom, rgba(255,48,25,1) 0%,rgba(207,4,4,1) 100%)","linear-gradient(to bottom, rgba(203,96,179,1) 0%,rgba(173,18,131,1) 50%,rgba(222,71,172,1) 100%)","linear-gradient(to bottom, rgba(254,252,234,1) 0%,rgba(241,218,54,1) 100%)","linear-gradient(to bottom, rgba(255,255,255,1) 0%,rgba(246,246,246,1) 47%,rgba(237,237,237,1) 100%)"]},d=[],u={outerHtml:function(){return['<div class="ics-ge-container clearfix">',"</div>"].join("")
}(),gradient:function(){return['<div class="ics-ge-colorpicker-container icc-opt-norm"><input type="text" class="ics-ge-colorpicker"/></div><div class="ics-ge-preview-panel">','<div class="gradient-properties">','<div class="gradient-preferences-advanced">','<div class="ics-ge-preferences">','<div class="css-gradient-type">',"<label>Type:</label>",'<div class="btn-group">','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="gradient_type" data-name="gradient_type" data-value="linear">linear</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="gradient_type" data-name="gradient_type" data-value="radial">radial</button>',"</div>","</div>",'<div class="css-gradient-repeating">',"<label>Repeating:</label>",'<div class="btn-group">','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="repeat" data-name="gradient_repeat" data-value="on">on</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="repeat" data-name="gradient_repeat" data-value="off">off</button>',"</div>","</div>",'<div class="ics-ge-preview-container">','<div class="ics-ge-preview">','<div class="ajax-loader"></div>',"</div>",'<div class="ics-ge-linear-preferences ics-ge-prefrences-overlay">','<div class="ics-ge-linear-direction-implicit top">','<button class="btn btn-default btn-sm ics-ge-controller ics-ge-direction-top-left" data-control-group="linear-direction" data-name="gradient_direction" data-value="top left"><i class="fa fa-arrow-up fa-rotate-315"></i>',"</button>",'<button class="btn btn-default btn-sm ics-ge-controller ics-ge-direction-top" data-control-group="linear-direction" data-name="gradient_direction" data-value="top"><i class="fa fa-arrow-up"></i>',"</button>",'<button class="btn btn-default btn-sm ics-ge-controller ics-ge-direction-top-right" data-control-group="linear-direction" data-name="gradient_direction" data-value="top right"><i class="fa fa-arrow-up fa-rotate-45"></i>',"</button>","</div>",'<div class="ics-ge-linear-direction-implicit mid">','<button class="btn btn-default btn-sm ics-ge-controller ics-ge-direction-left" data-control-group="linear-direction" data-name="gradient_direction" data-value="left"><i class="fa fa-arrow-left"></i>',"</button>",'<button class="btn btn-default btn-sm ics-ge-controller ics-ge-direction-right" data-control-group="linear-direction" data-name="gradient_direction" data-value="right"><i class="fa fa-arrow-right"></i>',"</button>","</div>",'<div class="ics-ge-linear-direction-implicit bot">','<button class="btn btn-default btn-sm ics-ge-controller ics-ge-direction-bottom-left" data-control-group="linear-direction" data-name="gradient_direction" data-value="bottom left"><i class="fa fa-arrow-down fa-rotate-45"></i>',"</button>",'<button class="btn btn-default btn-sm ics-ge-controller ics-ge-direction-bottom" data-control-group="linear-direction" data-name="gradient_direction" data-value="bottom"><i class="fa fa-arrow-down"></i>',"</button>",'<button class="btn btn-default btn-sm ics-ge-controller ics-ge-direction-bottom-right" data-control-group="linear-direction" data-name="gradient_direction" data-value="bottom right"><i class="fa fa-arrow-down fa-rotate-315"></i>',"</button>","</div>",'<div class="ics-ge-linear-direction-explicit">','<span class="ics-ge-controller ics-ge-direction-angle" data-control-group="linear-direction" data-name="gradient_direction" data-value="angle"><span></span></span>','<span class="ics-ge-controller ics-ge-direction-angle-input" data-control-group="linear-direction" data-name="gradient_direction" data-value="angle"><input type="text" name="angle" class="input-sm"></span>',"</div>","</div>",'<div class="ics-ge-radial-preferences ics-ge-prefrences-overlay">','<div class="ics-ge-radial-position-dragarea">','<div class="ics-ge-radial-position-draggable">','<div class="ics-ge-radial-position-target"></div>','<div class="ics-ge-radial-position-hairs"></div>',"</div>","</div>",'<div class="ics-ge-radial-position-inputs">','<div class="ics-ge-radial-position-inputs-toggle"><i class="fa fa-caret-down"></i>',"</div>",'<div class="ics-ge-radial-position-inputs-holder">','<div class="form-group ics-ge-radial-position">',"<label>Radial Center:</label>",'<div class="controls">','<span class="ics-ge-controller ics-ge-position-horizontal-explicit" data-control-group="gradient_position_horizontal" data-name="gradient_position_horizontal" data-value="explicit"><input type="text" name="gradient_position_horizontal" data-units=\'["%","px"]\' class="input-sm"></span>','<span class="ics-ge-controller ics-ge-position-vertical-explicit" data-control-group="gradient_position_vertical" data-name="gradient_position_vertical" data-value="explicit"><input type="text" name="gradient_position_vertical" data-units=\'["px","%"]\' class="input-sm"></span>',"</div>","</div>",'<div class="form-group ics-ge-radial-shape">',"<label>Shape:</label>",'<div class="btn-group">','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="gradient_shape" data-name="gradient_shape" data-value="circle">circle</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="gradient_shape" data-name="gradient_shape" data-value="ellipse">ellipse</button>',"</div>","</div>",'<div class="form-group ics-ge-radial-size">',"<label>Size:</label>",'<div class="controls">','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="gradient_size" data-name="gradient_size" data-value="closest-side">close-side</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="gradient_size" data-name="gradient_size" data-value="closest-corner">close-corner</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="gradient_size" data-name="gradient_size" data-value="farthest-side">far-side</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="gradient_size" data-name="gradient_size" data-value="farthest-corner">far-corner</button>',"</div>",'<div class="controls">','<span class="span ics-ge-controller ics-ge-size-explicit" data-control-group="gradient_size" data-name="gradient_size" data-value="explicit"><input type="text" name="gradient_size" data-units=\'["%","px"]\' class="input-sm"> <input type="text" name="gradient_size_major" data-units=\'["%","px"]\' class="input-sm"></span>',"</div>","</div>","</div>","</div>","</div>","</div>","</div>",'<div class="ics-ge-linear-preview">','<div class="ics-ge-preview">',"<div></div>","</div>",'<div class="ics-ge-colorstops-easy">','<div class="ics-ge-stopeditor">',"<span></span>",'<div class="ics-ge-stoppointmarkers"></div>',"</div>","</div>","</div>",'<div class="ics-ge-colorstops-advanced clearfix">','<div class="ics-ge-stoppointlist"></div>',"</div>","</div>","</div>","</div>"].join("")}(),swatches:function(){return['<div class="ics-ge-swatches-wrapper ics-ge-control-block">','<div class="ics-ge-swatches-wrapper-heading">',"<label>Presets</label>","</div>",'<div class="ics-ge-swatches-wrapper-swatches panel-body">','<div class="content ics-ge-swatches">','<button type="button" class="btn btn-default btn-sm ics-ge-save" title="Add gradient to swatches"><i class="fa fa-plus-circle"></i></button>','<ul class="ics-ge-swatches-list"></ul>',"</div>","</div>","</div>"].join("")}(),background:function(){return['<div class="ics-ge-background-options ics-ge-control-block">','<div class="ics-ge-background-options-inputs-toggle"><label>Position and Size<i class="fa fa-caret-down"></i></label></div>','<div class="ics-ge-background-options-inputs">','<div class="ics-bg">','<div class="ics-bg-preview-wrapper"><div class="ics-bg-preview-holder">','<div class="ics-bg-chooser-buts"><div class="ics-bg-chooseimage"><input type="hidden" class="ics-bg-img"/></div><div class="ics-bg-changeimage"><div class="btn-group"><button class="btn btn-default btn-sm change">Change</button><button class="btn btn-danger btn-sm remove">remove</button></div></div></div>','<div class="ics-bg-preview-el">',"</div>",'<div class="ics-bg-preview-img">','<div class="ics-bg-position-ctrl"><i class="fa fa-arrows"></i>','<div class="ics-bg-size-ctrl tl"></div><div class="ics-bg-size-ctrl tm"></div><div class="ics-bg-size-ctrl tr"></div><div class="ics-bg-size-ctrl ml"></div><div class="ics-bg-size-ctrl mr"></div><div class="ics-bg-size-ctrl bl"></div><div class="ics-bg-size-ctrl bm"></div><div class="ics-bg-size-ctrl br"></div>',"</div>","</div>","</div></div>",'<div class="form-group ics-ge-background-size-implicit">',"<label>Size:</label><!-- if attachment is fixed this is relative to the window else it is relative to the element-->",'<div class="controls">','<div class="btn-group">','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="background_size" data-name="background_size" data-value="auto auto">auto</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="background_size" data-name="background_size" data-value="cover">cover</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="background_size" data-name="background_size" data-value="contain">contain</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="background_size" data-name="background_size" data-value="100% 100%">stretch</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="background_size" data-name="background_size" data-value="explicit">custom</button>',"</div>","</div>","</div>",'<div class="form-group ics-ge-background-repeat ics-bg-repeat">',"<label>Repeat:</label>",'<div class="btn-group">','<span class="ics-stylable-group-switch ics-switch mini"><input type="checkbox" class="ics-switch-checkbox ics-background-repeat-x" checked="checked"><label class="ics-switch-label"><div class="ics-switch-inner"></div><div class="ics-switch-switch"></div></label></span>','<span class="ics-stylable-group-switch ics-switch mini"><input type="checkbox" class="ics-switch-checkbox ics-background-repeat-y" checked="checked"><label class="ics-switch-label"><div class="ics-switch-inner"></div><div class="ics-switch-switch"></div></label></span>',"</div>","</div>",'<div class="form-group ics-ge-background-size-explicit">',"<label>Custom Size:</label><!-- if attachment is fixed this is relative to the window else it is relative to the element-->",'<div class="controls">','<span class="span ics-ge-controller ics-ge-background-size-explicit" data-control-group="background_size" data-name="background_size" data-value="explicit"><input type="text" name="background_size_horizontal" data-units=\'["%","px"]\' class="input-sm"> <input type="text" name="background_size_vertical" data-units=\'["%","px"]\' class="input-sm"></span>',"</div>","</div>",'<div class="form-group ics-ge-background-position">',"<label>Position:</label>",'<div class="controls">','<span class="span ics-ge-controller ics-ge-background-position-explicit" data-control-group="background_position" data-name="background_position" data-value="explicit"><input type="text" name="background_position_horizontal" data-units=\'["%","px"]\' class="input-sm"> <input type="text" name="background_position_vertical" data-units=\'["%","px"]\' class="input-sm"></span>',"</div>","</div>",'<div class="form-group ics-ge-background-attachment ics-bg-attachment">',"<label>Attachment:</label>",'<div class="btn-group">','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="background_attachment" data-name="background_attachment" data-value="scroll">scroll</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="background_attachment" data-name="background_attachment" data-value="fixed">fixed</button>','<button class="btn btn-default btn-sm ics-ge-controller" data-control-group="background_attachment" data-name="background_attachment" data-value="local">local</button>',"</div>","</div>",'<div class="form-group ics-ge-background-origin ics-bg-origin" style="display:inline-block">',"<label>Origin:</label>",'<select class="ics-bg-origin-select" data-name="background_origin">',"<option>border-box</option>","<option>padding-box</option>","<option>content-box</option>","</select>","</div>",'<div class="form-group ics-ge-background-clip ics-bg-clip" style="display:inline-block">',"<label>Clip:</label>",'<select class="ics-bg-clip-select" data-name="background_clip">',"<option>border-box</option>","<option>padding-box</option>","<option>content-box</option>","</select>","</div>","</div>","</div>","</div>"].join("")}(),toolbar:function(){return['<div class="ics-ge-toolbar ics-ge-control-block">','<button type="button" class="btn btn-default btn-sm ics-ge-getcss" title="Get generated css" data-show-popup="" data-target="#cssoutmodal"><i class="fa fa-code"></i> Get Css</button>','<button type="button" class="btn btn-default btn-sm ics-ge-import" title="Import gradient from css" data-show-popup="" data-target="#importmodal"><i class="fa fa-clipboard"></i> Paste Css</button>',"</div>",'<div class="ics-ge-optionbox" id="cssoutmodal" role="dialog">','<div class="ics-ge-optionbox-content">','<div class="ics-ge-optionbox-header">','<button type="button" class="close close-icon" data-dismiss="modal" aria-hidden="true">&times;</button>','<span class="ics-ge-optionbox-title">Generated CSS</span>',"</div>",'<div class="ics-ge-optionbox-body">','<div class="ics-ge-cssoutput-container">','<pre class="ics-ge-cssoutput"></pre>',"</div>","</div>",'<div class="ics-ge-optionbox-footer">','<button type="button" class="btn btn-default close" data-dismiss="modal">Close</button>',"</div>","</div>","</div>",'<div class="ics-ge-optionbox" id="importmodal" role="dialog">','<div class="ics-ge-optionbox-content">','<div class="ics-ge-optionbox-header">','<button type="button" class="close close-icon" data-dismiss="modal" aria-hidden="true">&times;</button>','<span class="ics-ge-optionbox-title">Import Gradient</span><br><small>Paste any gradient css in here to load it into the editor.</small>',"</div>",'<div class="ics-ge-optionbox-body">','<textarea class="ics-ge-textarea-import"></textarea>',"</div>",'<div class="ics-ge-optionbox-footer">','<button type="button" class="btn btn-default import-css" data-dismiss="modal">Import</button>',"</div>","</div>","</div>"].join("")}()},p="icsge.id";t.fn.icsge=function(e){if("string"==typeof e){var i=this,n=Array.prototype.slice.call(arguments,1);return this.each(function(){var a=d[t(this).data(p)];if(a){var o=a[e];if(!o)throw new Error("icsge: no such method: '"+e+"'");"get"==e?i=a.get(n):"container"==e?i=a.container:"option"==e?i=a.option.apply(a,n):"destroy"==e?(a.destroy(),t(this).removeData(p)):o.apply(a,n)}}),i}return this.icsge("destroy").each(function(){var i=t.extend({},e,t(this).data()),n=a(this,i);t(this).data(p,n.id)})},t.fn.icsge.load=!0,t.fn.icsge.loadOpts={},t.fn.icsge.defaults=g,t.icsge={},t.icsge.localization={}});
/*!=========================================================================
// Copyright (c) 2014 Rafael Caricio. All rights reserved.
// https://github.com/rafaelcaricio/gradient-parser
// The MIT License (MIT)

Copyright (c) 2014 Rafael Carício

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

modified by David O'Sullivan to include parsing for 2015 ellipse syntax
*/
var GradientParser=GradientParser||{};GradientParser.parse=function(){function r(r){var e=new Error(A+": "+r);throw e.source=A,e}function e(){var e=t();return A.length>0&&r("Invalid input not EOF"),e}function t(){return b(n)}function n(){return i("linear-gradient",P.linearGradient,a)||i("repeating-linear-gradient",P.repeatingLinearGradient,a)||i("radial-gradient",P.radialGradient,c)||i("repeating-radial-gradient",P.repeatingRadialGradient,c)}function i(e,t,n){return o(t,function(){var t=n();return t&&(O(P.comma)||r("Missing comma before color stops")),{type:e,orientation:t,colorStops:b(h)}})}function o(e,t){var n=O(e);return n?(O(P.startCall)||r("Missing ("),result=t(n),O(P.endCall)||r("Missing )"),result):void 0}function a(){return u()||l()}function u(){return M("directional",P.sideOrCorner,1)}function l(){return M("angular",P.angleValue,1)}function c(){var r,e,t=s();return t&&(r=[],r.push(t),e=A,O(P.comma)&&(t=s(),t?r.push(t):A=e)),r}function s(){var r=f()||d();if(r)r.at=p();else{var e=m();e&&(r={type:"default-radial",at:e})}return r}function f(){var r=M("shape",/^(circle)/i,0);return r&&(r.style=K()||g()),r}function d(){var r=M("shape",/^(ellipse)/i,0);return r&&(r.style=m()||k()||g()),r}function g(){return M("extent-keyword",P.extentKeywords,1)}function p(){if(M("position",/^at/,0)){var e=m();return e||r("Missing positioning value"),e}}function m(){var r=v();return r.x||r.y?{type:"position",value:r}:void 0}function v(){return{x:k(),y:k()}}function b(e){var t=e(),n=[];if(t)for(n.push(t);O(P.comma);)t=e(),t?n.push(t):r("One extra comma");return n}function h(){var e=x();return e||r("Expected color definition"),e.length=k(),e}function x(){return C()||G()||w()||y()}function y(){return M("literal",P.literalColor,0)}function C(){return M("hex",P.hexColor,1)}function w(){return o(P.rgbColor,function(){return{type:"rgb",value:b(V)}})}function G(){return o(P.rgbaColor,function(){return{type:"rgba",value:b(V)}})}function V(){return O(P.number)[1]}function k(){return M("%",P.percentageValue,1)||z()||K()}function z(){return M("position-keyword",P.positionKeywords,1)}function K(){return M("px",P.pixelValue,1)||M("em",P.emValue,1)}function M(r,e,t){var n=O(e);return n?{type:r,value:n[t]}:void 0}function O(r){var e,t;return t=/^[\n\r\t\s]+/.exec(A),t&&E(t[0].length),e=r.exec(A),e&&E(e[0].length),e}function E(r){A=A.substr(r)}var P={linearGradient:/^(\-(webkit|o|ms|moz)\-)?(linear\-gradient)/i,repeatingLinearGradient:/^(\-(webkit|o|ms|moz)\-)?(repeating\-linear\-gradient)/i,radialGradient:/^(\-(webkit|o|ms|moz)\-)?(radial\-gradient)/i,repeatingRadialGradient:/^(\-(webkit|o|ms|moz)\-)?(repeating\-radial\-gradient)/i,sideOrCorner:/^to (left (top|bottom)|right (top|bottom)|top (right|left)|bottom (right|left)|left|right|top|bottom)/i,extentKeywords:/^(closest\-side|closest\-corner|farthest\-side|farthest\-corner|contain|cover)/,positionKeywords:/^(left|center|right|top|bottom)/i,pixelValue:/^(-?(([0-9]*\.[0-9]+)|([0-9]+\.?)))px/,percentageValue:/^(-?(([0-9]*\.[0-9]+)|([0-9]+\.?)))\%/,emValue:/^(-?(([0-9]*\.[0-9]+)|([0-9]+\.?)))em/,angleValue:/^(-?(([0-9]*\.[0-9]+)|([0-9]+\.?)))deg/,startCall:/^\(/,endCall:/^\)/,comma:/^,/,hexColor:/^\#([0-9a-fA-F]+)/,literalColor:/^([a-zA-Z]+)/,rgbColor:/^rgb/i,rgbaColor:/^rgba/i,number:/^(([0-9]*\.[0-9]+)|([0-9]+\.?))/},A="";return function(r){return A=r.toString(),e()}}();



/*!=========================================================================
 *  Bootstrap TouchSpin
 *  v2.6.2
 *
 *  A mobile and touch friendly input spinner component for Bootstrap 3.
 *
 *      https://github.com/istvan-meszaros/bootstrap-touchspin
 *      http://www.virtuosoft.eu/code/bootstrap-touchspin/
 *
 *  Copyright 2013 István Ujj-Mészáros
 *
 *  Thanks for the contributors:
 *      Stefan Bauer - https://github.com/sba
 *      amid2887 - https://github.com/amid2887
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
* ====================================================================== */

/*
 *  Bootstrap TouchSpin - v3.0.1
 *  A mobile and touch friendly input spinner component for Bootstrap 3.
 *  http://www.virtuosoft.eu/code/bootstrap-touchspin/
 *
 *  Made by István Ujj-Mészáros
 *  Under Apache License v2.0 License
 */
!function(a){"use strict";function b(a,b){return a+".touchspin_"+b}function c(c,d){return a.map(c,function(a){return b(a,d)})}var d=0;a.fn.TouchSpin=function(b){if("destroy"===b)return void this.each(function(){var b=a(this),d=b.data();a(document).off(c(["mouseup","touchend","touchcancel","mousemove","touchmove","scroll","scrollstart"],d.spinnerid).join(" "))});var e={min:0,max:100,initval:"",step:1,decimals:0,stepinterval:100,forcestepdivisibility:"round",stepintervaldelay:500,verticalbuttons:!1,verticalupclass:"glyphicon glyphicon-chevron-up",verticaldownclass:"glyphicon glyphicon-chevron-down",prefix:"",postfix:"",prefix_extraclass:"",postfix_extraclass:"",booster:!0,boostat:10,maxboostedstep:!1,mousewheel:!0,buttondown_class:"btn btn-default",buttonup_class:"btn btn-default",buttondown_txt:"-",buttonup_txt:"+"},f={min:"min",max:"max",initval:"init-val",step:"step",decimals:"decimals",stepinterval:"step-interval",verticalbuttons:"vertical-buttons",verticalupclass:"vertical-up-class",verticaldownclass:"vertical-down-class",forcestepdivisibility:"force-step-divisibility",stepintervaldelay:"step-interval-delay",prefix:"prefix",postfix:"postfix",prefix_extraclass:"prefix-extra-class",postfix_extraclass:"postfix-extra-class",booster:"booster",boostat:"boostat",maxboostedstep:"max-boosted-step",mousewheel:"mouse-wheel",buttondown_class:"button-down-class",buttonup_class:"button-up-class",buttondown_txt:"button-down-txt",buttonup_txt:"button-up-txt"};return this.each(function(){function g(){if(!J.data("alreadyinitialized")){if(J.data("alreadyinitialized",!0),d+=1,J.data("spinnerid",d),!J.is("input"))return void console.log("Must be an input.");j(),h(),u(),m(),p(),q(),r(),s(),D.input.css("display","block")}}function h(){""!==B.initval&&""===J.val()&&J.val(B.initval)}function i(a){l(a),u();var b=D.input.val();""!==b&&(b=Number(D.input.val()),D.input.val(b.toFixed(B.decimals)))}function j(){B=a.extend({},e,K,k(),b)}function k(){var b={};return a.each(f,function(a,c){var d="bts-"+c;J.is("[data-"+d+"]")&&(b[a]=J.data(d))}),b}function l(b){B=a.extend({},B,b)}function m(){var a=J.val(),b=J.parent();""!==a&&(a=Number(a).toFixed(B.decimals)),J.data("initvalue",a).val(a),J.addClass("form-control"),b.hasClass("input-group")?n(b):o()}function n(b){b.addClass("bootstrap-touchspin");var c,d,e=J.prev(),f=J.next(),g='<span class="input-group-addon bootstrap-touchspin-prefix">'+B.prefix+"</span>",h='<span class="input-group-addon bootstrap-touchspin-postfix">'+B.postfix+"</span>";e.hasClass("input-group-btn")?(c='<button class="'+B.buttondown_class+' bootstrap-touchspin-down" type="button">'+B.buttondown_txt+"</button>",e.append(c)):(c='<span class="input-group-btn"><button class="'+B.buttondown_class+' bootstrap-touchspin-down" type="button">'+B.buttondown_txt+"</button></span>",a(c).insertBefore(J)),f.hasClass("input-group-btn")?(d='<button class="'+B.buttonup_class+' bootstrap-touchspin-up" type="button">'+B.buttonup_txt+"</button>",f.prepend(d)):(d='<span class="input-group-btn"><button class="'+B.buttonup_class+' bootstrap-touchspin-up" type="button">'+B.buttonup_txt+"</button></span>",a(d).insertAfter(J)),a(g).insertBefore(J),a(h).insertAfter(J),C=b}function o(){var b;b=B.verticalbuttons?'<div class="input-group bootstrap-touchspin"><span class="input-group-addon bootstrap-touchspin-prefix">'+B.prefix+'</span><span class="input-group-addon bootstrap-touchspin-postfix">'+B.postfix+'</span><span class="input-group-btn-vertical"><button class="'+B.buttondown_class+' bootstrap-touchspin-up" type="button"><i class="'+B.verticalupclass+'"></i></button><button class="'+B.buttonup_class+' bootstrap-touchspin-down" type="button"><i class="'+B.verticaldownclass+'"></i></button></span></div>':'<div class="input-group bootstrap-touchspin"><span class="input-group-btn"><button class="'+B.buttondown_class+' bootstrap-touchspin-down" type="button">'+B.buttondown_txt+'</button></span><span class="input-group-addon bootstrap-touchspin-prefix">'+B.prefix+'</span><span class="input-group-addon bootstrap-touchspin-postfix">'+B.postfix+'</span><span class="input-group-btn"><button class="'+B.buttonup_class+' bootstrap-touchspin-up" type="button">'+B.buttonup_txt+"</button></span></div>",C=a(b).insertBefore(J),a(".bootstrap-touchspin-prefix",C).after(J),J.hasClass("input-sm")?C.addClass("input-group-sm"):J.hasClass("input-lg")&&C.addClass("input-group-lg")}function p(){D={down:a(".bootstrap-touchspin-down",C),up:a(".bootstrap-touchspin-up",C),input:a("input",C),prefix:a(".bootstrap-touchspin-prefix",C).addClass(B.prefix_extraclass),postfix:a(".bootstrap-touchspin-postfix",C).addClass(B.postfix_extraclass)}}function q(){""===B.prefix&&D.prefix.hide(),""===B.postfix&&D.postfix.hide()}function r(){J.on("keydown",function(a){var b=a.keyCode||a.which;38===b?("up"!==M&&(w(),z()),a.preventDefault()):40===b&&("down"!==M&&(x(),y()),a.preventDefault())}),J.on("keyup",function(a){var b=a.keyCode||a.which;38===b?A():40===b&&A()}),J.on("blur",function(){u()}),D.down.on("keydown",function(a){var b=a.keyCode||a.which;(32===b||13===b)&&("down"!==M&&(x(),y()),a.preventDefault())}),D.down.on("keyup",function(a){var b=a.keyCode||a.which;(32===b||13===b)&&A()}),D.up.on("keydown",function(a){var b=a.keyCode||a.which;(32===b||13===b)&&("up"!==M&&(w(),z()),a.preventDefault())}),D.up.on("keyup",function(a){var b=a.keyCode||a.which;(32===b||13===b)&&A()}),D.down.on("mousedown.touchspin",function(a){D.down.off("touchstart.touchspin"),J.is(":disabled")||(x(),y(),a.preventDefault(),a.stopPropagation())}),D.down.on("touchstart.touchspin",function(a){D.down.off("mousedown.touchspin"),J.is(":disabled")||(x(),y(),a.preventDefault(),a.stopPropagation())}),D.up.on("mousedown.touchspin",function(a){D.up.off("touchstart.touchspin"),J.is(":disabled")||(w(),z(),a.preventDefault(),a.stopPropagation())}),D.up.on("touchstart.touchspin",function(a){D.up.off("mousedown.touchspin"),J.is(":disabled")||(w(),z(),a.preventDefault(),a.stopPropagation())}),D.up.on("mouseout touchleave touchend touchcancel",function(a){M&&(a.stopPropagation(),A())}),D.down.on("mouseout touchleave touchend touchcancel",function(a){M&&(a.stopPropagation(),A())}),D.down.on("mousemove touchmove",function(a){M&&(a.stopPropagation(),a.preventDefault())}),D.up.on("mousemove touchmove",function(a){M&&(a.stopPropagation(),a.preventDefault())}),a(document).on(c(["mouseup","touchend","touchcancel"],d).join(" "),function(a){M&&(a.preventDefault(),A())}),a(document).on(c(["mousemove","touchmove","scroll","scrollstart"],d).join(" "),function(a){M&&(a.preventDefault(),A())}),J.on("mousewheel DOMMouseScroll",function(a){if(B.mousewheel&&J.is(":focus")){var b=a.originalEvent.wheelDelta||-a.originalEvent.deltaY||-a.originalEvent.detail;a.stopPropagation(),a.preventDefault(),0>b?x():w()}})}function s(){J.on("touchspin.uponce",function(){A(),w()}),J.on("touchspin.downonce",function(){A(),x()}),J.on("touchspin.startupspin",function(){z()}),J.on("touchspin.startdownspin",function(){y()}),J.on("touchspin.stopspin",function(){A()}),J.on("touchspin.updatesettings",function(a,b){i(b)})}function t(a){switch(B.forcestepdivisibility){case"round":return(Math.round(a/B.step)*B.step).toFixed(B.decimals);case"floor":return(Math.floor(a/B.step)*B.step).toFixed(B.decimals);case"ceil":return(Math.ceil(a/B.step)*B.step).toFixed(B.decimals);default:return a}}function u(){var a,b,c;a=J.val(),""!==a&&(B.decimals>0&&"."===a||(b=parseFloat(a),isNaN(b)&&(b=0),c=b,b.toString()!==a&&(c=b),b<B.min&&(c=B.min),b>B.max&&(c=B.max),c=t(c),Number(a).toString()!==c.toString()&&(J.val(c),J.trigger("change"))))}function v(){if(B.booster){var a=Math.pow(2,Math.floor(L/B.boostat))*B.step;return B.maxboostedstep&&a>B.maxboostedstep&&(a=B.maxboostedstep,E=Math.round(E/a)*a),Math.max(B.step,a)}return B.step}function w(){u(),E=parseFloat(D.input.val()),isNaN(E)&&(E=0);var a=E,b=v();E+=b,E>B.max&&(E=B.max,J.trigger("touchspin.on.max"),A()),D.input.val(Number(E).toFixed(B.decimals)),a!==E&&J.trigger("change")}function x(){u(),E=parseFloat(D.input.val()),isNaN(E)&&(E=0);var a=E,b=v();E-=b,E<B.min&&(E=B.min,J.trigger("touchspin.on.min"),A()),D.input.val(E.toFixed(B.decimals)),a!==E&&J.trigger("change")}function y(){A(),L=0,M="down",J.trigger("touchspin.on.startspin"),J.trigger("touchspin.on.startdownspin"),H=setTimeout(function(){F=setInterval(function(){L++,x()},B.stepinterval)},B.stepintervaldelay)}function z(){A(),L=0,M="up",J.trigger("touchspin.on.startspin"),J.trigger("touchspin.on.startupspin"),I=setTimeout(function(){G=setInterval(function(){L++,w()},B.stepinterval)},B.stepintervaldelay)}function A(){switch(clearTimeout(H),clearTimeout(I),clearInterval(F),clearInterval(G),M){case"up":J.trigger("touchspin.on.stopupspin"),J.trigger("touchspin.on.stopspin");break;case"down":J.trigger("touchspin.on.stopdownspin"),J.trigger("touchspin.on.stopspin")}L=0,M=!1}var B,C,D,E,F,G,H,I,J=a(this),K=J.data(),L=0,M=!1;g()})}}(jQuery);

/*!
 * jquery.base64.js 0.0.3 - https://github.com/yckart/jquery.base64.js
 * Makes Base64 en & -decoding simpler as it is.
 *
 * Based upon: https://gist.github.com/Yaffle/1284012
 *
 * Copyright (c) 2012 Yannick Albert (http://yckart.com)
 * Licensed under the MIT license (http://www.opensource.org/licenses/mit-license.php).
 * 2013/02/10
 **/
 "use strict";jQuery.base64=(function($){var _PADCHAR="=",_ALPHA="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",_VERSION="1.0";function _getbyte64(s,i){var idx=_ALPHA.indexOf(s.charAt(i));if(idx===-1){throw"Cannot decode base64"}return idx}function _decode(s){var pads=0,i,b10,imax=s.length,x=[];s=String(s);if(imax===0){return s}if(imax%4!==0){throw"Cannot decode base64"}if(s.charAt(imax-1)===_PADCHAR){pads=1;if(s.charAt(imax-2)===_PADCHAR){pads=2}imax-=4}for(i=0;i<imax;i+=4){b10=(_getbyte64(s,i)<<18)|(_getbyte64(s,i+1)<<12)|(_getbyte64(s,i+2)<<6)|_getbyte64(s,i+3);x.push(String.fromCharCode(b10>>16,(b10>>8)&255,b10&255))}switch(pads){case 1:b10=(_getbyte64(s,i)<<18)|(_getbyte64(s,i+1)<<12)|(_getbyte64(s,i+2)<<6);x.push(String.fromCharCode(b10>>16,(b10>>8)&255));break;case 2:b10=(_getbyte64(s,i)<<18)|(_getbyte64(s,i+1)<<12);x.push(String.fromCharCode(b10>>16));break}return x.join("")}function _getbyte(s,i){var x=s.charCodeAt(i);if(x>255){throw"INVALID_CHARACTER_ERR: DOM Exception 5"}return x}function _encode(s){if(arguments.length!==1){throw"SyntaxError: exactly one argument required"}s=String(s);var i,b10,x=[],imax=s.length-s.length%3;if(s.length===0){return s}for(i=0;i<imax;i+=3){b10=(_getbyte(s,i)<<16)|(_getbyte(s,i+1)<<8)|_getbyte(s,i+2);x.push(_ALPHA.charAt(b10>>18));x.push(_ALPHA.charAt((b10>>12)&63));x.push(_ALPHA.charAt((b10>>6)&63));x.push(_ALPHA.charAt(b10&63))}switch(s.length-imax){case 1:b10=_getbyte(s,i)<<16;x.push(_ALPHA.charAt(b10>>18)+_ALPHA.charAt((b10>>12)&63)+_PADCHAR+_PADCHAR);break;case 2:b10=(_getbyte(s,i)<<16)|(_getbyte(s,i+1)<<8);x.push(_ALPHA.charAt(b10>>18)+_ALPHA.charAt((b10>>12)&63)+_ALPHA.charAt((b10>>6)&63)+_PADCHAR);break}return x.join("")}return{decode:_decode,encode:_encode,VERSION:_VERSION}}(jQuery));
 
// Spectrum Colorpicker v1.6.1
// https://github.com/bgrins/spectrum
// Author: Brian Grinstead
// License: MIT
!function(t){"use strict";"function"==typeof define&&define.amd?define(["jquery"],t):"object"==typeof exports&&"object"==typeof module?module.exports=t:t(jQuery)}(function(t,e){"use strict";function r(e,r,a,n){for(var i=[],s=0;s<e.length;s++){var o=e[s];if(o){var l=tinycolor(o),c=l.toHsl().l<.5?"sp-thumb-el sp-thumb-dark":"sp-thumb-el sp-thumb-light";c+=tinycolor.equals(r,o)?" sp-thumb-active":"";var f=l.toString(n.preferredFormat||"rgb"),u=b?"background-color:"+l.toRgbString():"filter:"+l.toFilter();i.push('<span title="'+f+'" data-color="'+l.toRgbString()+'" class="'+c+'"><span class="sp-thumb-inner" style="'+u+';" /></span>')}else{var h="sp-clear-display";i.push(t("<div />").append(t('<span data-color="" style="background-color:transparent;" class="'+h+'"></span>').attr("title",n.noColorSelectedText)).html())}}return"<div class='sp-cf "+a+"'>"+i.join("")+"</div>"}function a(){for(var t=0;t<p.length;t++)p[t]&&p[t].hide()}function n(e,r){var a=t.extend({},d,e);return a.callbacks={move:c(a.move,r),change:c(a.change,r),show:c(a.show,r),hide:c(a.hide,r),beforeShow:c(a.beforeShow,r)},a}function i(i,o){function c(){if($.showPaletteOnly&&($.showPalette=!0),je.text($.showPaletteOnly?$.togglePaletteMoreText:$.togglePaletteLessText),$.palette){ue=$.palette.slice(0),he=t.isArray(ue[0])?ue:[ue],de={};for(var e=0;e<he.length;e++)for(var r=0;r<he[e].length;r++){var a=tinycolor(he[e][r]).toRgbString();de[a]=!0}}_e.toggleClass("sp-flat",W),_e.toggleClass("sp-input-disabled",!$.showInput),_e.toggleClass("sp-alpha-enabled",$.showAlpha),_e.toggleClass("sp-clear-enabled",Ge),_e.toggleClass("sp-buttons-disabled",!$.showButtons),_e.toggleClass("sp-palette-buttons-disabled",!$.togglePaletteOnly),_e.toggleClass("sp-palette-disabled",!$.showPalette),_e.toggleClass("sp-palette-only",$.showPaletteOnly),_e.toggleClass("sp-initial-disabled",!$.showInitial),_e.addClass($.className).addClass($.containerClassName),I()}function d(){function e(e){return e.data&&e.data.ignore?(T(t(e.target).closest(".sp-thumb-el").data("color")),E()):(T(t(e.target).closest(".sp-thumb-el").data("color")),E(),D(!0),$.hideAfterPaletteSelect&&H()),!1}if(g&&_e.find("*:not(input)").attr("unselectable","on"),c(),Ie&&ye.after(ze).hide(),Ge||Ne.hide(),W)ye.after(_e).hide();else{var r="parent"===$.appendTo?ye.parent():t($.appendTo);1!==r.length&&(r=t("body")),r.append(_e)}y(),Be.bind("click.spectrum touchstart.spectrum",function(e){we||A(),e.stopPropagation(),t(e.target).is("input")||e.preventDefault()}),(ye.is(":disabled")||$.disabled===!0)&&K(),_e.click(l),He.change(P),He.bind("paste",function(){setTimeout(P,1)}),He.keydown(function(t){13==t.keyCode&&P()}),Oe.text($.cancelText),Oe.bind("click.spectrum",function(t){t.stopPropagation(),t.preventDefault(),F(),H()}),Ne.attr("title",$.clearText),Ne.bind("click.spectrum",function(t){t.stopPropagation(),t.preventDefault(),Ye=!0,E(),W&&D(!0)}),Ee.text($.chooseText),Ee.bind("click.spectrum",function(t){t.stopPropagation(),t.preventDefault(),g&&He.is(":focus")&&He.trigger("change"),N()&&(D(!0),H())}),je.text($.showPaletteOnly?$.togglePaletteMoreText:$.togglePaletteLessText),je.bind("click.spectrum",function(t){t.stopPropagation(),t.preventDefault(),$.showPaletteOnly=!$.showPaletteOnly,$.showPaletteOnly||W||_e.css("left","-="+(xe.outerWidth(!0)+5)),c()}),f(Me,function(t,e,r){fe=t/ne,Ye=!1,r.shiftKey&&(fe=Math.round(10*fe)/10),E()},S,C),f(Ce,function(t,e){oe=parseFloat(e/re),Ye=!1,$.showAlpha||(fe=1),E()},S,C),f(ke,function(t,e,r){if(r.shiftKey){if(!ve){var a=le*Z,n=te-ce*te,i=Math.abs(t-a)>Math.abs(e-n);ve=i?"x":"y"}}else ve=null;var s=!ve||"x"===ve,o=!ve||"y"===ve;s&&(le=parseFloat(t/Z)),o&&(ce=parseFloat((te-e)/te)),Ye=!1,$.showAlpha||(fe=1),E()},S,C),Ke?(T(Ke),j(),We=$e||tinycolor(Ke).format,w(Ke)):j(),W&&M();var a=g?"mousedown.spectrum":"click.spectrum touchstart.spectrum";Fe.delegate(".sp-thumb-el",a,e),Te.delegate(".sp-thumb-el:nth-child(1)",a,{ignore:!0},e)}function y(){if(Y&&window.localStorage){try{var e=window.localStorage[Y].split(",#");e.length>1&&(delete window.localStorage[Y],t.each(e,function(t,e){w(e)}))}catch(r){}try{pe=window.localStorage[Y].split(";")}catch(r){}}}function w(e){if(X){var r=tinycolor(e).toRgbString();if(!de[r]&&-1===t.inArray(r,pe))for(pe.push(r);pe.length>ge;)pe.shift();if(Y&&window.localStorage)try{window.localStorage[Y]=pe.join(";")}catch(a){}}}function _(){var t=[];if($.showPalette)for(var e=0;e<pe.length;e++){var r=tinycolor(pe[e]).toRgbString();de[r]||t.push(pe[e])}return t.reverse().slice(0,$.maxSelectionSize)}function x(){var e=O(),a=t.map(he,function(t,a){return r(t,e,"sp-palette-row sp-palette-row-"+a,$)});y(),pe&&a.push(r(_(),e,"sp-palette-row sp-palette-row-selection",$)),Fe.html(a.join(""))}function k(){if($.showInitial){var t=Ve,e=O();Te.html(r([t,e],e,"sp-palette-row-initial",$))}}function S(){(0>=te||0>=Z||0>=re)&&I(),_e.addClass(be),ve=null,ye.trigger("dragstart.spectrum",[O()])}function C(){_e.removeClass(be),ye.trigger("dragstop.spectrum",[O()])}function P(){var t=He.val();if(null!==t&&""!==t||!Ge){var e=tinycolor(t);e.isValid()?(T(e),D(!0)):He.addClass("sp-validation-error")}else T(null),D(!0)}function A(){U?H():M()}function M(){var e=t.Event("beforeShow.spectrum");return U?void I():(ye.trigger(e,[O()]),void(Q.beforeShow(O())===!1||e.isDefaultPrevented()||(a(),U=!0,t(me).bind("click.spectrum",R),t(window).bind("resize.spectrum",J),ze.addClass("sp-active"),_e.removeClass("sp-hidden"),I(),j(),Ve=O(),k(),Q.show(Ve),ye.trigger("show.spectrum",[Ve]))))}function R(t){2!=t.button&&(Xe?D(!0):F(),H())}function H(){U&&!W&&(U=!1,t(me).unbind("click.spectrum",R),t(window).unbind("resize.spectrum",J),ze.removeClass("sp-active"),_e.addClass("sp-hidden"),Q.hide(O()),ye.trigger("hide.spectrum",[O()]))}function F(){T(Ve,!0)}function T(t,e){if(tinycolor.equals(t,O()))return void j();var r,a;!t&&Ge?Ye=!0:(Ye=!1,r=tinycolor(t),a=r.toHsv(),oe=a.h%360/360,le=a.s,ce=a.v,fe=a.a),j(),r&&r.isValid()&&!e&&(We=$e||r.getFormat())}function O(t){return t=t||{},Ge&&Ye?null:tinycolor.fromRatio({h:oe,s:le,v:ce,a:Math.round(100*fe)/100},{format:t.format||We})}function N(){return!He.hasClass("sp-validation-error")}function E(){j(),Q.move(O()),ye.trigger("move.spectrum",[O()])}function j(){He.removeClass("sp-validation-error"),q();var t=tinycolor.fromRatio({h:oe,s:1,v:1});ke.css("background-color",t.toHexString());var e=We;1>fe&&(0!==fe||"name"!==e)&&("hex"===e||"hex3"===e||"hex6"===e||"name"===e)&&(e="rgb");var r=O({format:e}),a="";if(Le.removeClass("sp-clear-display"),Le.css("background-color","transparent"),!r&&Ge)Le.addClass("sp-clear-display");else{var n=r.toHexString(),i=r.toRgbString();if(b||1===r.alpha?Le.css("background-color",i):(Le.css("background-color","transparent"),Le.css("filter",r.toFilter())),$.showAlpha){var s=r.toRgb();s.a=0;var o=tinycolor(s).toRgbString(),l="linear-gradient(left, "+o+", "+n+")";g?Ae.css("filter",tinycolor(o).toFilter({gradientType:1},n)):(Ae.css("background","-webkit-"+l),Ae.css("background","-moz-"+l),Ae.css("background","-ms-"+l),Ae.css("background","linear-gradient(to right, "+o+", "+n+")"))}a=r.toString(e)}$.showInput&&He.val(a),$.showPalette&&x(),k()}function q(){var t=le,e=ce;if(Ge&&Ye)Re.hide(),Pe.hide(),Se.hide();else{Re.show(),Pe.show(),Se.show();var r=t*Z,a=te-e*te;r=Math.max(-ee,Math.min(Z-ee,r-ee)),a=Math.max(-ee,Math.min(te-ee,a-ee)),Se.css({top:a+"px",left:r+"px"});var n=fe*ne;Re.css({left:n-ie/2+"px"});var i=oe*re;Pe.css({top:i-se+"px"})}}function D(t){var e=O(),r="",a=!tinycolor.equals(e,Ve);e&&(r=e.toString(We),w(e)),qe&&ye.val(r),t&&a&&(Q.change(e),ye.trigger("change",[e]))}function I(){Z=ke.width(),te=ke.height(),ee=Se.height(),ae=Ce.width(),re=Ce.height(),se=Pe.height(),ne=Me.width(),ie=Re.width(),W||(_e.css("position","absolute"),_e.offset($.offset?$.offset:s(_e,Be))),q(),$.showPalette&&x(),ye.trigger("reflow.spectrum")}function z(){ye.show(),Be.unbind("click.spectrum touchstart.spectrum"),_e.remove(),ze.remove(),p[Qe.id]=null}function B(r,a){return r===e?t.extend({},$):a===e?$[r]:($[r]=a,void c())}function L(){we=!1,ye.attr("disabled",!1),Be.removeClass("sp-disabled")}function K(){H(),we=!0,ye.attr("disabled",!0),Be.addClass("sp-disabled")}function V(t){$.offset=t,I()}var $=n(o,i),W=$.flat,X=$.showSelectionPalette,Y=$.localStorageKey,G=$.theme,Q=$.callbacks,J=u(I,10),U=!1,Z=0,te=0,ee=0,re=0,ae=0,ne=0,ie=0,se=0,oe=0,le=0,ce=0,fe=1,ue=[],he=[],de={},pe=$.selectionPalette.slice(0),ge=$.maxSelectionSize,be="sp-dragging",ve=null,me=i.ownerDocument,ye=(me.body,t(i)),we=!1,_e=t(m,me).addClass(G),xe=_e.find(".sp-picker-container"),ke=_e.find(".sp-color"),Se=_e.find(".sp-dragger"),Ce=_e.find(".sp-hue"),Pe=_e.find(".sp-slider"),Ae=_e.find(".sp-alpha-inner"),Me=_e.find(".sp-alpha"),Re=_e.find(".sp-alpha-handle"),He=_e.find(".sp-input"),Fe=_e.find(".sp-palette"),Te=_e.find(".sp-initial"),Oe=_e.find(".sp-cancel"),Ne=_e.find(".sp-clear"),Ee=_e.find(".sp-choose"),je=_e.find(".sp-palette-toggle"),qe=ye.is("input"),De=qe&&"color"===ye.attr("type")&&h(),Ie=qe&&!W,ze=Ie?t(v).addClass(G).addClass($.className).addClass($.replacerClassName):t([]),Be=Ie?ze:ye,Le=ze.find(".sp-preview-inner"),Ke=$.color||qe&&ye.val(),Ve=!1,$e=$.preferredFormat,We=$e,Xe=!$.showButtons||$.clickoutFiresChange,Ye=!Ke,Ge=$.allowEmpty&&!De;d();var Qe={show:M,hide:H,toggle:A,reflow:I,option:B,enable:L,disable:K,offset:V,set:function(t){T(t),D()},get:O,destroy:z,container:_e};return Qe.id=p.push(Qe)-1,Qe}function s(e,r){var a=0,n=e.outerWidth(),i=e.outerHeight(),s=r.outerHeight(),o=e[0].ownerDocument,l=o.documentElement,c=l.clientWidth+t(o).scrollLeft(),f=l.clientHeight+t(o).scrollTop(),u=r.offset();return u.top+=s,u.left-=Math.min(u.left,u.left+n>c&&c>n?Math.abs(u.left+n-c):0),u.top-=Math.min(u.top,u.top+i>f&&f>i?Math.abs(i+s-a):a),u}function o(){}function l(t){t.stopPropagation()}function c(t,e){var r=Array.prototype.slice,a=r.call(arguments,2);return function(){return t.apply(e,a.concat(r.call(arguments)))}}function f(e,r,a,n){function i(t){t.stopPropagation&&t.stopPropagation(),t.preventDefault&&t.preventDefault(),t.returnValue=!1}function s(t){if(f){if(g&&c.documentMode<9&&!t.button)return l();var a=t.originalEvent&&t.originalEvent.touches&&t.originalEvent.touches[0],n=a&&a.pageX||t.pageX,s=a&&a.pageY||t.pageY,o=Math.max(0,Math.min(n-u.left,d)),b=Math.max(0,Math.min(s-u.top,h));p&&i(t),r.apply(e,[o,b,t])}}function o(r){var n=r.which?3==r.which:2==r.button;n||f||a.apply(e,arguments)!==!1&&(f=!0,h=t(e).height(),d=t(e).width(),u=t(e).offset(),t(c).bind(b),t(c.body).addClass("sp-dragging"),p||s(r),i(r))}function l(){f&&(t(c).unbind(b),t(c.body).removeClass("sp-dragging"),n.apply(e,arguments)),f=!1}r=r||function(){},a=a||function(){},n=n||function(){};var c=document,f=!1,u={},h=0,d=0,p="ontouchstart"in window,b={};b.selectstart=i,b.dragstart=i,b["touchmove mousemove"]=s,b["touchend mouseup"]=l,t(e).bind("touchstart mousedown",o)}function u(t,e,r){var a;return function(){var n=this,i=arguments,s=function(){a=null,t.apply(n,i)};r&&clearTimeout(a),(r||!a)&&(a=setTimeout(s,e))}}function h(){return t.fn.spectrum.inputTypeColorSupport()}var d={beforeShow:o,move:o,change:o,show:o,hide:o,color:!1,flat:!1,showInput:!1,allowEmpty:!1,showButtons:!0,clickoutFiresChange:!1,showInitial:!1,showPalette:!1,showPaletteOnly:!1,hideAfterPaletteSelect:!1,togglePaletteOnly:!1,showSelectionPalette:!0,localStorageKey:!1,appendTo:"body",maxSelectionSize:7,cancelText:"cancel",chooseText:"choose",togglePaletteMoreText:"more",togglePaletteLessText:"less",clearText:"Clear Color Selection",noColorSelectedText:"No Color Selected",preferredFormat:!1,className:"",containerClassName:"",replacerClassName:"",showAlpha:!1,theme:"sp-light",palette:[["#ffffff","#000000","#ff0000","#ff8000","#ffff00","#008000","#0000ff","#4b0082","#9400d3"]],selectionPalette:[],disabled:!1,offset:null},p=[],g=!!/msie/i.exec(window.navigator.userAgent),b=function(){function t(t,e){return!!~(""+t).indexOf(e)}var e=document.createElement("div"),r=e.style;return r.cssText="background-color:rgba(0,0,0,.5)",t(r.backgroundColor,"rgba")||t(r.backgroundColor,"hsla")}(),v=["<div class='sp-replacer'>","<div class='sp-preview'><div class='sp-preview-inner'></div></div>","<div class='sp-dd'>&#9660;</div>","</div>"].join(""),m=function(){var t="";if(g)for(var e=1;6>=e;e++)t+="<div class='sp-"+e+"'></div>";return["<div class='sp-container sp-hidden'>","<div class='sp-palette-container'>","<div class='sp-palette sp-thumb sp-cf'></div>","<div class='sp-palette-button-container sp-cf'>","<button type='button' class='sp-palette-toggle'></button>","</div>","</div>","<div class='sp-picker-container'>","<div class='sp-top sp-cf'>","<div class='sp-fill'></div>","<div class='sp-top-inner'>","<div class='sp-color'>","<div class='sp-sat'>","<div class='sp-val'>","<div class='sp-dragger'></div>","</div>","</div>","</div>","<div class='sp-clear sp-clear-display'>","</div>","<div class='sp-hue'>","<div class='sp-slider'></div>",t,"</div>","</div>","<div class='sp-alpha'><div class='sp-alpha-inner'><div class='sp-alpha-handle'></div></div></div>","</div>","<div class='sp-input-container sp-cf'>","<input class='sp-input' type='text' spellcheck='false'  />","</div>","<div class='sp-initial sp-thumb sp-cf'></div>","<div class='sp-button-container sp-cf'>","<a class='sp-cancel' href='#'></a>","<button type='button' class='sp-choose'></button>","</div>","</div>","</div>"].join("")}(),y="spectrum.id";t.fn.spectrum=function(e){if("string"==typeof e){var r=this,a=Array.prototype.slice.call(arguments,1);return this.each(function(){var n=p[t(this).data(y)];if(n){var i=n[e];if(!i)throw new Error("Spectrum: no such method: '"+e+"'");"get"==e?r=n.get():"container"==e?r=n.container:"option"==e?r=n.option.apply(n,a):"destroy"==e?(n.destroy(),t(this).removeData(y)):i.apply(n,a)}}),r}return this.spectrum("destroy").each(function(){var r=t.extend({},e,t(this).data()),a=i(this,r);t(this).data(y,a.id)})},t.fn.spectrum.load=!0,t.fn.spectrum.loadOpts={},t.fn.spectrum.draggable=f,t.fn.spectrum.defaults=d,t.fn.spectrum.inputTypeColorSupport=function w(){if("undefined"==typeof w._cachedResult){var e=t("<input type='color' value='!' />")[0];w._cachedResult="color"===e.type&&"!"!==e.value}return w._cachedResult},t.spectrum={},t.spectrum.localization={},t.spectrum.palettes={},t.fn.spectrum.processNativeColorInputs=function(){var e=t("input[type=color]");e.length&&!h()&&e.spectrum({preferredFormat:"hex6"})},function(){function t(t){var r={r:0,g:0,b:0},n=1,s=!1,o=!1;return"string"==typeof t&&(t=T(t)),"object"==typeof t&&(t.hasOwnProperty("r")&&t.hasOwnProperty("g")&&t.hasOwnProperty("b")?(r=e(t.r,t.g,t.b),s=!0,o="%"===String(t.r).substr(-1)?"prgb":"rgb"):t.hasOwnProperty("h")&&t.hasOwnProperty("s")&&t.hasOwnProperty("v")?(t.s=R(t.s),t.v=R(t.v),r=i(t.h,t.s,t.v),s=!0,o="hsv"):t.hasOwnProperty("h")&&t.hasOwnProperty("s")&&t.hasOwnProperty("l")&&(t.s=R(t.s),t.l=R(t.l),r=a(t.h,t.s,t.l),s=!0,o="hsl"),t.hasOwnProperty("a")&&(n=t.a)),n=x(n),{ok:s,format:t.format||o,r:D(255,I(r.r,0)),g:D(255,I(r.g,0)),b:D(255,I(r.b,0)),a:n}}function e(t,e,r){return{r:255*k(t,255),g:255*k(e,255),b:255*k(r,255)}}function r(t,e,r){t=k(t,255),e=k(e,255),r=k(r,255);var a,n,i=I(t,e,r),s=D(t,e,r),o=(i+s)/2;if(i==s)a=n=0;else{var l=i-s;switch(n=o>.5?l/(2-i-s):l/(i+s),i){case t:a=(e-r)/l+(r>e?6:0);break;case e:a=(r-t)/l+2;break;case r:a=(t-e)/l+4}a/=6}return{h:a,s:n,l:o}}function a(t,e,r){function a(t,e,r){return 0>r&&(r+=1),r>1&&(r-=1),1/6>r?t+6*(e-t)*r:.5>r?e:2/3>r?t+(e-t)*(2/3-r)*6:t}var n,i,s;if(t=k(t,360),e=k(e,100),r=k(r,100),0===e)n=i=s=r;else{var o=.5>r?r*(1+e):r+e-r*e,l=2*r-o;n=a(l,o,t+1/3),i=a(l,o,t),s=a(l,o,t-1/3)}return{r:255*n,g:255*i,b:255*s}}function n(t,e,r){t=k(t,255),e=k(e,255),r=k(r,255);var a,n,i=I(t,e,r),s=D(t,e,r),o=i,l=i-s;if(n=0===i?0:l/i,i==s)a=0;else{switch(i){case t:a=(e-r)/l+(r>e?6:0);break;case e:a=(r-t)/l+2;break;case r:a=(t-e)/l+4}a/=6}return{h:a,s:n,v:o}}function i(t,e,r){t=6*k(t,360),e=k(e,100),r=k(r,100);var a=j.floor(t),n=t-a,i=r*(1-e),s=r*(1-n*e),o=r*(1-(1-n)*e),l=a%6,c=[r,s,i,i,o,r][l],f=[o,r,r,s,i,i][l],u=[i,i,o,r,r,s][l];return{r:255*c,g:255*f,b:255*u}}function s(t,e,r,a){var n=[M(q(t).toString(16)),M(q(e).toString(16)),M(q(r).toString(16))];return a&&n[0].charAt(0)==n[0].charAt(1)&&n[1].charAt(0)==n[1].charAt(1)&&n[2].charAt(0)==n[2].charAt(1)?n[0].charAt(0)+n[1].charAt(0)+n[2].charAt(0):n.join("")}function o(t,e,r,a){var n=[M(H(a)),M(q(t).toString(16)),M(q(e).toString(16)),M(q(r).toString(16))];return n.join("")}function l(t,e){e=0===e?0:e||10;var r=B(t).toHsl();return r.s-=e/100,r.s=S(r.s),B(r)}function c(t,e){e=0===e?0:e||10;var r=B(t).toHsl();return r.s+=e/100,r.s=S(r.s),B(r)}function f(t){return B(t).desaturate(100)}function u(t,e){e=0===e?0:e||10;var r=B(t).toHsl();return r.l+=e/100,r.l=S(r.l),B(r)}function h(t,e){e=0===e?0:e||10;var r=B(t).toRgb();return r.r=I(0,D(255,r.r-q(255*-(e/100)))),r.g=I(0,D(255,r.g-q(255*-(e/100)))),r.b=I(0,D(255,r.b-q(255*-(e/100)))),B(r)}function d(t,e){e=0===e?0:e||10;var r=B(t).toHsl();return r.l-=e/100,r.l=S(r.l),B(r)}function p(t,e){var r=B(t).toHsl(),a=(q(r.h)+e)%360;return r.h=0>a?360+a:a,B(r)}function g(t){var e=B(t).toHsl();return e.h=(e.h+180)%360,B(e)}function b(t){var e=B(t).toHsl(),r=e.h;return[B(t),B({h:(r+120)%360,s:e.s,l:e.l}),B({h:(r+240)%360,s:e.s,l:e.l})]}function v(t){var e=B(t).toHsl(),r=e.h;return[B(t),B({h:(r+90)%360,s:e.s,l:e.l}),B({h:(r+180)%360,s:e.s,l:e.l}),B({h:(r+270)%360,s:e.s,l:e.l})]}function m(t){var e=B(t).toHsl(),r=e.h;return[B(t),B({h:(r+72)%360,s:e.s,l:e.l}),B({h:(r+216)%360,s:e.s,l:e.l})]}function y(t,e,r){e=e||6,r=r||30;var a=B(t).toHsl(),n=360/r,i=[B(t)];for(a.h=(a.h-(n*e>>1)+720)%360;--e;)a.h=(a.h+n)%360,i.push(B(a));return i}function w(t,e){e=e||6;for(var r=B(t).toHsv(),a=r.h,n=r.s,i=r.v,s=[],o=1/e;e--;)s.push(B({h:a,s:n,v:i})),i=(i+o)%1;return s}function _(t){var e={};for(var r in t)t.hasOwnProperty(r)&&(e[t[r]]=r);return e}function x(t){return t=parseFloat(t),(isNaN(t)||0>t||t>1)&&(t=1),t}function k(t,e){P(t)&&(t="100%");var r=A(t);return t=D(e,I(0,parseFloat(t))),r&&(t=parseInt(t*e,10)/100),j.abs(t-e)<1e-6?1:t%e/parseFloat(e)}function S(t){return D(1,I(0,t))}function C(t){return parseInt(t,16)}function P(t){return"string"==typeof t&&-1!=t.indexOf(".")&&1===parseFloat(t)}function A(t){return"string"==typeof t&&-1!=t.indexOf("%")}function M(t){return 1==t.length?"0"+t:""+t}function R(t){return 1>=t&&(t=100*t+"%"),t}function H(t){return Math.round(255*parseFloat(t)).toString(16)}function F(t){return C(t)/255}function T(t){t=t.replace(O,"").replace(N,"").toLowerCase();var e=!1;if(L[t])t=L[t],e=!0;else if("transparent"==t)return{r:0,g:0,b:0,a:0,format:"name"};var r;return(r=V.rgb.exec(t))?{r:r[1],g:r[2],b:r[3]}:(r=V.rgba.exec(t))?{r:r[1],g:r[2],b:r[3],a:r[4]}:(r=V.hsl.exec(t))?{h:r[1],s:r[2],l:r[3]}:(r=V.hsla.exec(t))?{h:r[1],s:r[2],l:r[3],a:r[4]}:(r=V.hsv.exec(t))?{h:r[1],s:r[2],v:r[3]}:(r=V.hsva.exec(t))?{h:r[1],s:r[2],v:r[3],a:r[4]}:(r=V.hex8.exec(t))?{a:F(r[1]),r:C(r[2]),g:C(r[3]),b:C(r[4]),format:e?"name":"hex8"}:(r=V.hex6.exec(t))?{r:C(r[1]),g:C(r[2]),b:C(r[3]),format:e?"name":"hex"}:(r=V.hex3.exec(t))?{r:C(r[1]+""+r[1]),g:C(r[2]+""+r[2]),b:C(r[3]+""+r[3]),format:e?"name":"hex"}:!1}var O=/^[\s,#]+/,N=/\s+$/,E=0,j=Math,q=j.round,D=j.min,I=j.max,z=j.random,B=function(e,r){if(e=e?e:"",r=r||{},e instanceof B)return e;if(!(this instanceof B))return new B(e,r);var a=t(e);this._originalInput=e,this._r=a.r,this._g=a.g,this._b=a.b,this._a=a.a,this._roundA=q(100*this._a)/100,this._format=r.format||a.format,this._gradientType=r.gradientType,this._r<1&&(this._r=q(this._r)),this._g<1&&(this._g=q(this._g)),this._b<1&&(this._b=q(this._b)),this._ok=a.ok,this._tc_id=E++};B.prototype={isDark:function(){return this.getBrightness()<128},isLight:function(){return!this.isDark()},isValid:function(){return this._ok},getOriginalInput:function(){return this._originalInput},getFormat:function(){return this._format},getAlpha:function(){return this._a},getBrightness:function(){var t=this.toRgb();return(299*t.r+587*t.g+114*t.b)/1e3},setAlpha:function(t){return this._a=x(t),this._roundA=q(100*this._a)/100,this},toHsv:function(){var t=n(this._r,this._g,this._b);return{h:360*t.h,s:t.s,v:t.v,a:this._a}},toHsvString:function(){var t=n(this._r,this._g,this._b),e=q(360*t.h),r=q(100*t.s),a=q(100*t.v);return 1==this._a?"hsv("+e+", "+r+"%, "+a+"%)":"hsva("+e+", "+r+"%, "+a+"%, "+this._roundA+")"},toHsl:function(){var t=r(this._r,this._g,this._b);return{h:360*t.h,s:t.s,l:t.l,a:this._a}},toHslString:function(){var t=r(this._r,this._g,this._b),e=q(360*t.h),a=q(100*t.s),n=q(100*t.l);return 1==this._a?"hsl("+e+", "+a+"%, "+n+"%)":"hsla("+e+", "+a+"%, "+n+"%, "+this._roundA+")"},toHex:function(t){return s(this._r,this._g,this._b,t)},toHexString:function(t){return"#"+this.toHex(t)},toHex8:function(){return o(this._r,this._g,this._b,this._a)},toHex8String:function(){return"#"+this.toHex8()},toRgb:function(){return{r:q(this._r),g:q(this._g),b:q(this._b),a:this._a}},toRgbString:function(){return 1==this._a?"rgb("+q(this._r)+", "+q(this._g)+", "+q(this._b)+")":"rgba("+q(this._r)+", "+q(this._g)+", "+q(this._b)+", "+this._roundA+")"},toPercentageRgb:function(){return{r:q(100*k(this._r,255))+"%",g:q(100*k(this._g,255))+"%",b:q(100*k(this._b,255))+"%",a:this._a}},toPercentageRgbString:function(){return 1==this._a?"rgb("+q(100*k(this._r,255))+"%, "+q(100*k(this._g,255))+"%, "+q(100*k(this._b,255))+"%)":"rgba("+q(100*k(this._r,255))+"%, "+q(100*k(this._g,255))+"%, "+q(100*k(this._b,255))+"%, "+this._roundA+")"},toName:function(){return 0===this._a?"transparent":this._a<1?!1:K[s(this._r,this._g,this._b,!0)]||!1},toFilter:function(t){var e="#"+o(this._r,this._g,this._b,this._a),r=e,a=this._gradientType?"GradientType = 1, ":"";if(t){var n=B(t);r=n.toHex8String()}return"progid:DXImageTransform.Microsoft.gradient("+a+"startColorstr="+e+",endColorstr="+r+")"},toString:function(t){var e=!!t;t=t||this._format;var r=!1,a=this._a<1&&this._a>=0,n=!e&&a&&("hex"===t||"hex6"===t||"hex3"===t||"name"===t);return n?"name"===t&&0===this._a?this.toName():this.toRgbString():("rgb"===t&&(r=this.toRgbString()),"prgb"===t&&(r=this.toPercentageRgbString()),("hex"===t||"hex6"===t)&&(r=this.toHexString()),"hex3"===t&&(r=this.toHexString(!0)),"hex8"===t&&(r=this.toHex8String()),"name"===t&&(r=this.toName()),"hsl"===t&&(r=this.toHslString()),"hsv"===t&&(r=this.toHsvString()),r||this.toHexString())},_applyModification:function(t,e){var r=t.apply(null,[this].concat([].slice.call(e)));return this._r=r._r,this._g=r._g,this._b=r._b,this.setAlpha(r._a),this},lighten:function(){return this._applyModification(u,arguments)},brighten:function(){return this._applyModification(h,arguments)},darken:function(){return this._applyModification(d,arguments)},desaturate:function(){return this._applyModification(l,arguments)},saturate:function(){return this._applyModification(c,arguments)},greyscale:function(){return this._applyModification(f,arguments)},spin:function(){return this._applyModification(p,arguments)},_applyCombination:function(t,e){return t.apply(null,[this].concat([].slice.call(e)))},analogous:function(){return this._applyCombination(y,arguments)},complement:function(){return this._applyCombination(g,arguments)},monochromatic:function(){return this._applyCombination(w,arguments)},splitcomplement:function(){return this._applyCombination(m,arguments)},triad:function(){return this._applyCombination(b,arguments)},tetrad:function(){return this._applyCombination(v,arguments)}},B.fromRatio=function(t,e){if("object"==typeof t){var r={};for(var a in t)t.hasOwnProperty(a)&&(r[a]="a"===a?t[a]:R(t[a]));t=r}return B(t,e)},B.equals=function(t,e){return t&&e?B(t).toRgbString()==B(e).toRgbString():!1},B.random=function(){return B.fromRatio({r:z(),g:z(),b:z()})},B.mix=function(t,e,r){r=0===r?0:r||50;var a,n=B(t).toRgb(),i=B(e).toRgb(),s=r/100,o=2*s-1,l=i.a-n.a;a=o*l==-1?o:(o+l)/(1+o*l),a=(a+1)/2;var c=1-a,f={r:i.r*a+n.r*c,g:i.g*a+n.g*c,b:i.b*a+n.b*c,a:i.a*s+n.a*(1-s)};return B(f)},B.readability=function(t,e){var r=B(t),a=B(e),n=r.toRgb(),i=a.toRgb(),s=r.getBrightness(),o=a.getBrightness(),l=Math.max(n.r,i.r)-Math.min(n.r,i.r)+Math.max(n.g,i.g)-Math.min(n.g,i.g)+Math.max(n.b,i.b)-Math.min(n.b,i.b);return{brightness:Math.abs(s-o),color:l}},B.isReadable=function(t,e){var r=B.readability(t,e);return r.brightness>125&&r.color>500},B.mostReadable=function(t,e){for(var r=null,a=0,n=!1,i=0;i<e.length;i++){var s=B.readability(t,e[i]),o=s.brightness>125&&s.color>500,l=3*(s.brightness/125)+s.color/500;(o&&!n||o&&n&&l>a||!o&&!n&&l>a)&&(n=o,a=l,r=B(e[i]))}return r};var L=B.names={aliceblue:"f0f8ff",antiquewhite:"faebd7",aqua:"0ff",aquamarine:"7fffd4",azure:"f0ffff",beige:"f5f5dc",bisque:"ffe4c4",black:"000",blanchedalmond:"ffebcd",blue:"00f",blueviolet:"8a2be2",brown:"a52a2a",burlywood:"deb887",burntsienna:"ea7e5d",cadetblue:"5f9ea0",chartreuse:"7fff00",chocolate:"d2691e",coral:"ff7f50",cornflowerblue:"6495ed",cornsilk:"fff8dc",crimson:"dc143c",cyan:"0ff",darkblue:"00008b",darkcyan:"008b8b",darkgoldenrod:"b8860b",darkgray:"a9a9a9",darkgreen:"006400",darkgrey:"a9a9a9",darkkhaki:"bdb76b",darkmagenta:"8b008b",darkolivegreen:"556b2f",darkorange:"ff8c00",darkorchid:"9932cc",darkred:"8b0000",darksalmon:"e9967a",darkseagreen:"8fbc8f",darkslateblue:"483d8b",darkslategray:"2f4f4f",darkslategrey:"2f4f4f",darkturquoise:"00ced1",darkviolet:"9400d3",deeppink:"ff1493",deepskyblue:"00bfff",dimgray:"696969",dimgrey:"696969",dodgerblue:"1e90ff",firebrick:"b22222",floralwhite:"fffaf0",forestgreen:"228b22",fuchsia:"f0f",gainsboro:"dcdcdc",ghostwhite:"f8f8ff",gold:"ffd700",goldenrod:"daa520",gray:"808080",green:"008000",greenyellow:"adff2f",grey:"808080",honeydew:"f0fff0",hotpink:"ff69b4",indianred:"cd5c5c",indigo:"4b0082",ivory:"fffff0",khaki:"f0e68c",lavender:"e6e6fa",lavenderblush:"fff0f5",lawngreen:"7cfc00",lemonchiffon:"fffacd",lightblue:"add8e6",lightcoral:"f08080",lightcyan:"e0ffff",lightgoldenrodyellow:"fafad2",lightgray:"d3d3d3",lightgreen:"90ee90",lightgrey:"d3d3d3",lightpink:"ffb6c1",lightsalmon:"ffa07a",lightseagreen:"20b2aa",lightskyblue:"87cefa",lightslategray:"789",lightslategrey:"789",lightsteelblue:"b0c4de",lightyellow:"ffffe0",lime:"0f0",limegreen:"32cd32",linen:"faf0e6",magenta:"f0f",maroon:"800000",mediumaquamarine:"66cdaa",mediumblue:"0000cd",mediumorchid:"ba55d3",mediumpurple:"9370db",mediumseagreen:"3cb371",mediumslateblue:"7b68ee",mediumspringgreen:"00fa9a",mediumturquoise:"48d1cc",mediumvioletred:"c71585",midnightblue:"191970",mintcream:"f5fffa",mistyrose:"ffe4e1",moccasin:"ffe4b5",navajowhite:"ffdead",navy:"000080",oldlace:"fdf5e6",olive:"808000",olivedrab:"6b8e23",orange:"ffa500",orangered:"ff4500",orchid:"da70d6",palegoldenrod:"eee8aa",palegreen:"98fb98",paleturquoise:"afeeee",palevioletred:"db7093",papayawhip:"ffefd5",peachpuff:"ffdab9",peru:"cd853f",pink:"ffc0cb",plum:"dda0dd",powderblue:"b0e0e6",purple:"800080",rebeccapurple:"663399",red:"f00",rosybrown:"bc8f8f",royalblue:"4169e1",saddlebrown:"8b4513",salmon:"fa8072",sandybrown:"f4a460",seagreen:"2e8b57",seashell:"fff5ee",sienna:"a0522d",silver:"c0c0c0",skyblue:"87ceeb",slateblue:"6a5acd",slategray:"708090",slategrey:"708090",snow:"fffafa",springgreen:"00ff7f",steelblue:"4682b4",tan:"d2b48c",teal:"008080",thistle:"d8bfd8",tomato:"ff6347",turquoise:"40e0d0",violet:"ee82ee",wheat:"f5deb3",white:"fff",whitesmoke:"f5f5f5",yellow:"ff0",yellowgreen:"9acd32"},K=B.hexNames=_(L),V=function(){var t="[-\\+]?\\d+%?",e="[-\\+]?\\d*\\.\\d+%?",r="(?:"+e+")|(?:"+t+")",a="[\\s|\\(]+("+r+")[,|\\s]+("+r+")[,|\\s]+("+r+")\\s*\\)?",n="[\\s|\\(]+("+r+")[,|\\s]+("+r+")[,|\\s]+("+r+")[,|\\s]+("+r+")\\s*\\)?";return{rgb:new RegExp("rgb"+a),rgba:new RegExp("rgba"+n),hsl:new RegExp("hsl"+a),hsla:new RegExp("hsla"+n),hsv:new RegExp("hsv"+a),hsva:new RegExp("hsva"+n),hex3:/^([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex6:/^([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/,hex8:/^([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/}}();window.tinycolor=B}(),t(function(){t.fn.spectrum.load&&t.fn.spectrum.processNativeColorInputs()})});